Package io.vertx.rxjava.redis.client

## Class RedisAPI

- java.lang.Object
- - io.vertx.rxjava.redis.client.RedisAPI

-     public class RedisAPI
      extends Object

  Auto generated Redis API client wrapper.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<RedisAPI>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RedisAPI​(RedisAPI delegate)` |
    `RedisAPI​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Response>` | `acl​(List<String> args)` | A container for Access List Control commands.
    `static RedisAPI` | `api​(Redis client)` |
    `static RedisAPI` | `api​(RedisConnection connection)` |
    `Future<Response>` | `append​(String arg0, String arg1)` | Append a value to a key.
    `Future<Response>` | `asking()` | Sent by cluster clients after an -ASK redirect.
    `Future<Response>` | `auth​(List<String> args)` | Authenticate to the server.
    `Future<Response>` | `bfAdd​(List<String> args)` | Redis command BF.ADD.
    `Future<Response>` | `bfCard​(List<String> args)` | Redis command BF.CARD.
    `Future<Response>` | `bfDebug​(List<String> args)` | Redis command BF.DEBUG.
    `Future<Response>` | `bfExists​(List<String> args)` | Redis command BF.EXISTS.
    `Future<Response>` | `bfInfo​(List<String> args)` | Redis command BF.INFO.
    `Future<Response>` | `bfInsert​(List<String> args)` | Redis command BF.INSERT.
    `Future<Response>` | `bfLoadchunk​(List<String> args)` | Redis command BF.LOADCHUNK.
    `Future<Response>` | `bfMadd​(List<String> args)` | Redis command BF.MADD.
    `Future<Response>` | `bfMexists​(List<String> args)` | Redis command BF.MEXISTS.
    `Future<Response>` | `bfReserve​(List<String> args)` | Redis command BF.RESERVE.
    `Future<Response>` | `bfScandump​(List<String> args)` | Redis command BF.SCANDUMP.
    `Future<Response>` | `bgrewriteaof()` | Asynchronously rewrite the append-only file.
    `Future<Response>` | `bgsave​(List<String> args)` | Asynchronously save the dataset to disk.
    `Future<Response>` | `bitcount​(List<String> args)` | Count set bits in a string.
    `Future<Response>` | `bitfield​(List<String> args)` | Perform arbitrary bitfield integer operations on strings.
    `Future<Response>` | `bitfieldRo​(List<String> args)` | Perform arbitrary bitfield integer operations on strings.
    `Future<Response>` | `bitop​(List<String> args)` | Perform bitwise operations between strings.
    `Future<Response>` | `bitpos​(List<String> args)` | Find first bit set or clear in a string.
    `Future<Response>` | `blmove​(String arg0, String arg1, String arg2, String arg3, String arg4)` | Pop an element from a list, push it to another list and return it; or block until one is available.
    `Future<Response>` | `blmpop​(List<String> args)` | Pop elements from a list, or block until one is available.
    `Future<Response>` | `blpop​(List<String> args)` | Remove and get the first element in a list, or block until one is available.
    `Future<Response>` | `brpop​(List<String> args)` | Remove and get the last element in a list, or block until one is available.
    `Future<Response>` | `brpoplpush​(String arg0, String arg1, String arg2)` | Deprecated.
    `Future<Response>` | `bzmpop​(List<String> args)` | Remove and return members with scores in a sorted set or block until one is available.
    `Future<Response>` | `bzpopmax​(List<String> args)` | Remove and return the member with the highest score from one or more sorted sets, or block until one is available.
    `Future<Response>` | `bzpopmin​(List<String> args)` | Remove and return the member with the lowest score from one or more sorted sets, or block until one is available.
    `Future<Response>` | `cfAdd​(List<String> args)` | Redis command CF.ADD.
    `Future<Response>` | `cfAddnx​(List<String> args)` | Redis command CF.ADDNX.
    `Future<Response>` | `cfCompact​(List<String> args)` | Redis command CF.COMPACT.
    `Future<Response>` | `cfCount​(List<String> args)` | Redis command CF.COUNT.
    `Future<Response>` | `cfDebug​(List<String> args)` | Redis command CF.DEBUG.
    `Future<Response>` | `cfDel​(List<String> args)` | Redis command CF.DEL.
    `Future<Response>` | `cfExists​(List<String> args)` | Redis command CF.EXISTS.
    `Future<Response>` | `cfInfo​(List<String> args)` | Redis command CF.INFO.
    `Future<Response>` | `cfInsert​(List<String> args)` | Redis command CF.INSERT.
    `Future<Response>` | `cfInsertnx​(List<String> args)` | Redis command CF.INSERTNX.
    `Future<Response>` | `cfLoadchunk​(List<String> args)` | Redis command CF.LOADCHUNK.
    `Future<Response>` | `cfMexists​(List<String> args)` | Redis command CF.MEXISTS.
    `Future<Response>` | `cfReserve​(List<String> args)` | Redis command CF.RESERVE.
    `Future<Response>` | `cfScandump​(List<String> args)` | Redis command CF.SCANDUMP.
    `Future<Response>` | `client​(List<String> args)` | A container for client connection commands.
    `void` | `close()` |
    `Future<Response>` | `cluster​(List<String> args)` | A container for cluster commands.
    `Future<Response>` | `cmsIncrby​(List<String> args)` | Redis command CMS.INCRBY.
    `Future<Response>` | `cmsInfo​(List<String> args)` | Redis command CMS.INFO.
    `Future<Response>` | `cmsInitbydim​(List<String> args)` | Redis command CMS.INITBYDIM.
    `Future<Response>` | `cmsInitbyprob​(List<String> args)` | Redis command CMS.INITBYPROB.
    `Future<Response>` | `cmsMerge​(List<String> args)` | Redis command CMS.MERGE.
    `Future<Response>` | `cmsQuery​(List<String> args)` | Redis command CMS.QUERY.
    `Future<Response>` | `command​(List<String> args)` | Get array of Redis command details.
    `Future<Response>` | `config​(List<String> args)` | A container for server configuration commands.
    `Future<Response>` | `copy​(List<String> args)` | Copy a key.
    `Future<Response>` | `dbsize()` | Return the number of keys in the selected database.
    `Future<Response>` | `debug​(List<String> args)` | A container for debugging commands.
    `Future<Response>` | `decr​(String arg0)` | Decrement the integer value of a key by one.
    `Future<Response>` | `decrby​(String arg0, String arg1)` | Decrement the integer value of a key by the given number.
    `Future<Response>` | `del​(List<String> args)` | Delete a key.
    `Future<Response>` | `discard()` | Discard all commands issued after MULTI.
    `Future<Response>` | `dump​(String arg0)` | Return a serialized version of the value stored at the specified key.
    `Future<Response>` | `echo​(String arg0)` | Echo the given string.
    `boolean` | `equals​(Object o)` |
    `Future<Response>` | `eval​(List<String> args)` | Execute a Lua script server side.
    `Future<Response>` | `evalRo​(List<String> args)` | Execute a read-only Lua script server side.
    `Future<Response>` | `evalsha​(List<String> args)` | Execute a Lua script server side.
    `Future<Response>` | `evalshaRo​(List<String> args)` | Execute a read-only Lua script server side.
    `Future<Response>` | `exec()` | Execute all commands issued after MULTI.
    `Future<Response>` | `exists​(List<String> args)` | Determine if a key exists.
    `Future<Response>` | `expire​(List<String> args)` | Set a key's time to live in seconds.
    `Future<Response>` | `expireat​(List<String> args)` | Set the expiration for a key as a UNIX timestamp.
    `Future<Response>` | `expiretime​(String arg0)` | Get the expiration Unix timestamp for a key.
    `Future<Response>` | `failover​(List<String> args)` | Start a coordinated failover between this server and one of its replicas.
    `Future<Response>` | `fcall​(List<String> args)` | Invoke a function.
    `Future<Response>` | `fcallRo​(List<String> args)` | Invoke a read-only function.
    `Future<Response>` | `flushall​(List<String> args)` | Remove all keys from all databases.
    `Future<Response>` | `flushdb​(List<String> args)` | Remove all keys from the current database.
    `Future<Response>` | `ftAdd​(List<String> args)` | Redis command FT.ADD.
    `Future<Response>` | `ftAggregate​(List<String> args)` | Redis command FT.AGGREGATE.
    `Future<Response>` | `ftAliasadd​(List<String> args)` | Redis command FT.ALIASADD.
    `Future<Response>` | `ftAliasaddifnx​(List<String> args)` | Redis command FT._ALIASADDIFNX.
    `Future<Response>` | `ftAliasdel​(List<String> args)` | Redis command FT.ALIASDEL.
    `Future<Response>` | `ftAliasdelifx​(List<String> args)` | Redis command FT._ALIASDELIFX.
    `Future<Response>` | `ftAliasupdate​(List<String> args)` | Redis command FT.ALIASUPDATE.
    `Future<Response>` | `ftAlter​(List<String> args)` | Redis command FT.ALTER.
    `Future<Response>` | `ftAlterifnx​(List<String> args)` | Redis command FT._ALTERIFNX.
    `Future<Response>` | `ftConfig​(List<String> args)` | Redis command FT.CONFIG.
    `Future<Response>` | `ftCreate​(List<String> args)` | Redis command FT.CREATE.
    `Future<Response>` | `ftCreateifnx​(List<String> args)` | Redis command FT._CREATEIFNX.
    `Future<Response>` | `ftCursor​(List<String> args)` | Redis command FT.CURSOR.
    `Future<Response>` | `ftDebug​(List<String> args)` | Redis command FT.DEBUG.
    `Future<Response>` | `ftDel​(List<String> args)` | Redis command FT.DEL.
    `Future<Response>` | `ftDictadd​(List<String> args)` | Redis command FT.DICTADD.
    `Future<Response>` | `ftDictdel​(List<String> args)` | Redis command FT.DICTDEL.
    `Future<Response>` | `ftDictdump​(List<String> args)` | Redis command FT.DICTDUMP.
    `Future<Response>` | `ftDrop​(List<String> args)` | Redis command FT.DROP.
    `Future<Response>` | `ftDropifx​(List<String> args)` | Redis command FT._DROPIFX.
    `Future<Response>` | `ftDropindex​(List<String> args)` | Redis command FT.DROPINDEX.
    `Future<Response>` | `ftDropindexifx​(List<String> args)` | Redis command FT._DROPINDEXIFX.
    `Future<Response>` | `ftExplain​(List<String> args)` | Redis command FT.EXPLAIN.
    `Future<Response>` | `ftExplaincli​(List<String> args)` | Redis command FT.EXPLAINCLI.
    `Future<Response>` | `ftGet​(List<String> args)` | Redis command FT.GET.
    `Future<Response>` | `ftInfo​(List<String> args)` | Redis command FT.INFO.
    `Future<Response>` | `ftList​(List<String> args)` | Redis command FT._LIST.
    `Future<Response>` | `ftMget​(List<String> args)` | Redis command FT.MGET.
    `Future<Response>` | `ftProfile​(List<String> args)` | Redis command FT.PROFILE.
    `Future<Response>` | `ftSafeadd​(List<String> args)` | Redis command FT.SAFEADD.
    `Future<Response>` | `ftSearch​(List<String> args)` | Redis command FT.SEARCH.
    `Future<Response>` | `ftSpellcheck​(List<String> args)` | Redis command FT.SPELLCHECK.
    `Future<Response>` | `ftSugadd​(List<String> args)` | Redis command FT.SUGADD.
    `Future<Response>` | `ftSugdel​(List<String> args)` | Redis command FT.SUGDEL.
    `Future<Response>` | `ftSugget​(List<String> args)` | Redis command FT.SUGGET.
    `Future<Response>` | `ftSuglen​(List<String> args)` | Redis command FT.SUGLEN.
    `Future<Response>` | `ftSynadd​(List<String> args)` | Redis command FT.SYNADD.
    `Future<Response>` | `ftSyndump​(List<String> args)` | Redis command FT.SYNDUMP.
    `Future<Response>` | `ftSynupdate​(List<String> args)` | Redis command FT.SYNUPDATE.
    `Future<Response>` | `ftTagvals​(List<String> args)` | Redis command FT.TAGVALS.
    `Future<Response>` | `function​(List<String> args)` | A container for function commands.
    `Future<Response>` | `geoadd​(List<String> args)` | Add one or more geospatial items in the geospatial index represented using a sorted set.
    `Future<Response>` | `geodist​(List<String> args)` | Returns the distance between two members of a geospatial index.
    `Future<Response>` | `geohash​(List<String> args)` | Returns members of a geospatial index as standard geohash strings.
    `Future<Response>` | `geopos​(List<String> args)` | Returns longitude and latitude of members of a geospatial index.
    `Future<Response>` | `georadius​(List<String> args)` | Deprecated.
    `Future<Response>` | `georadiusbymember​(List<String> args)` | Deprecated.
    `Future<Response>` | `georadiusbymemberRo​(List<String> args)` | Deprecated.
    `Future<Response>` | `georadiusRo​(List<String> args)` | Deprecated.
    `Future<Response>` | `geosearch​(List<String> args)` | Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle.
    `Future<Response>` | `geosearchstore​(List<String> args)` | Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle, and store the result in another key.
    `Future<Response>` | `get​(String arg0)` | Get the value of a key.
    `Future<Response>` | `getbit​(String arg0, String arg1)` | Returns the bit value at offset in the string value stored at key.
    `Future<Response>` | `getdel​(String arg0)` | Get the value of a key and delete the key.
    `RedisAPI` | `getDelegate()` |
    `Future<Response>` | `getex​(List<String> args)` | Get the value of a key and optionally set its expiration.
    `Future<Response>` | `getrange​(String arg0, String arg1, String arg2)` | Get a substring of the string stored at a key.
    `Future<Response>` | `getset​(String arg0, String arg1)` | Deprecated.
    `Future<Response>` | `graphBulk​(List<String> args)` | Redis command GRAPH.BULK.
    `Future<Response>` | `graphConfig​(List<String> args)` | Redis command GRAPH.CONFIG.
    `Future<Response>` | `graphDebug​(List<String> args)` | Redis command GRAPH.DEBUG.
    `Future<Response>` | `graphDelete​(List<String> args)` | Redis command GRAPH.DELETE.
    `Future<Response>` | `graphExplain​(List<String> args)` | Redis command GRAPH.EXPLAIN.
    `Future<Response>` | `graphList​(List<String> args)` | Redis command GRAPH.LIST.
    `Future<Response>` | `graphProfile​(List<String> args)` | Redis command GRAPH.PROFILE.
    `Future<Response>` | `graphQuery​(List<String> args)` | Redis command GRAPH.QUERY.
    `Future<Response>` | `graphRoQuery​(List<String> args)` | Redis command GRAPH.RO_QUERY.
    `Future<Response>` | `graphSlowlog​(List<String> args)` | Redis command GRAPH.SLOWLOG.
    `int` | `hashCode()` |
    `Future<Response>` | `hdel​(List<String> args)` | Delete one or more hash fields.
    `Future<Response>` | `hello​(List<String> args)` | Handshake with Redis.
    `Future<Response>` | `hexists​(String arg0, String arg1)` | Determine if a hash field exists.
    `Future<Response>` | `hget​(String arg0, String arg1)` | Get the value of a hash field.
    `Future<Response>` | `hgetall​(String arg0)` | Get all the fields and values in a hash.
    `Future<Response>` | `hincrby​(String arg0, String arg1, String arg2)` | Increment the integer value of a hash field by the given number.
    `Future<Response>` | `hincrbyfloat​(String arg0, String arg1, String arg2)` | Increment the float value of a hash field by the given amount.
    `Future<Response>` | `hkeys​(String arg0)` | Get all the fields in a hash.
    `Future<Response>` | `hlen​(String arg0)` | Get the number of fields in a hash.
    `Future<Response>` | `hmget​(List<String> args)` | Get the values of all the given hash fields.
    `Future<Response>` | `hmset​(List<String> args)` | Deprecated.
    `Future<Response>` | `hrandfield​(List<String> args)` | Get one or multiple random fields from a hash.
    `Future<Response>` | `hscan​(List<String> args)` | Incrementally iterate hash fields and associated values.
    `Future<Response>` | `hset​(List<String> args)` | Set the string value of a hash field.
    `Future<Response>` | `hsetnx​(String arg0, String arg1, String arg2)` | Set the value of a hash field, only if the field does not exist.
    `Future<Response>` | `hstrlen​(String arg0, String arg1)` | Get the length of the value of a hash field.
    `Future<Response>` | `hvals​(String arg0)` | Get all the values in a hash.
    `Future<Response>` | `incr​(String arg0)` | Increment the integer value of a key by one.
    `Future<Response>` | `incrby​(String arg0, String arg1)` | Increment the integer value of a key by the given amount.
    `Future<Response>` | `incrbyfloat​(String arg0, String arg1)` | Increment the float value of a key by the given amount.
    `Future<Response>` | `info​(List<String> args)` | Get information and statistics about the server.
    `Future<Response>` | `jsonArrappend​(List<String> args)` | Redis command JSON.ARRAPPEND.
    `Future<Response>` | `jsonArrindex​(List<String> args)` | Redis command JSON.ARRINDEX.
    `Future<Response>` | `jsonArrinsert​(List<String> args)` | Redis command JSON.ARRINSERT.
    `Future<Response>` | `jsonArrlen​(List<String> args)` | Redis command JSON.ARRLEN.
    `Future<Response>` | `jsonArrpop​(List<String> args)` | Redis command JSON.ARRPOP.
    `Future<Response>` | `jsonArrtrim​(List<String> args)` | Redis command JSON.ARRTRIM.
    `Future<Response>` | `jsonClear​(List<String> args)` | Redis command JSON.CLEAR.
    `Future<Response>` | `jsonDebug​(List<String> args)` | Redis command JSON.DEBUG.
    `Future<Response>` | `jsonDel​(List<String> args)` | Redis command JSON.DEL.
    `Future<Response>` | `jsonForget​(List<String> args)` | Redis command JSON.FORGET.
    `Future<Response>` | `jsonGet​(List<String> args)` | Redis command JSON.GET.
    `Future<Response>` | `jsonMget​(List<String> args)` | Redis command JSON.MGET.
    `Future<Response>` | `jsonNumincrby​(List<String> args)` | Redis command JSON.NUMINCRBY.
    `Future<Response>` | `jsonNummultby​(List<String> args)` | Redis command JSON.NUMMULTBY.
    `Future<Response>` | `jsonNumpowby​(List<String> args)` | Redis command JSON.NUMPOWBY.
    `Future<Response>` | `jsonObjkeys​(List<String> args)` | Redis command JSON.OBJKEYS.
    `Future<Response>` | `jsonObjlen​(List<String> args)` | Redis command JSON.OBJLEN.
    `Future<Response>` | `jsonResp​(List<String> args)` | Redis command JSON.RESP.
    `Future<Response>` | `jsonSet​(List<String> args)` | Redis command JSON.SET.
    `Future<Response>` | `jsonStrappend​(List<String> args)` | Redis command JSON.STRAPPEND.
    `Future<Response>` | `jsonStrlen​(List<String> args)` | Redis command JSON.STRLEN.
    `Future<Response>` | `jsonToggle​(List<String> args)` | Redis command JSON.TOGGLE.
    `Future<Response>` | `jsonType​(List<String> args)` | Redis command JSON.TYPE.
    `Future<Response>` | `keys​(String arg0)` | Find all keys matching the given pattern.
    `Future<Response>` | `lastsave()` | Get the UNIX time stamp of the last successful save to disk.
    `Future<Response>` | `latency​(List<String> args)` | A container for latency diagnostics commands.
    `Future<Response>` | `lcs​(List<String> args)` | Find longest common substring.
    `Future<Response>` | `lindex​(String arg0, String arg1)` | Get an element from a list by its index.
    `Future<Response>` | `linsert​(String arg0, String arg1, String arg2, String arg3)` | Insert an element before or after another element in a list.
    `Future<Response>` | `llen​(String arg0)` | Get the length of a list.
    `Future<Response>` | `lmove​(String arg0, String arg1, String arg2, String arg3)` | Pop an element from a list, push it to another list and return it.
    `Future<Response>` | `lmpop​(List<String> args)` | Pop elements from a list.
    `Future<Response>` | `lolwut​(List<String> args)` | Display some computer art and the Redis version.
    `Future<Response>` | `lpop​(List<String> args)` | Remove and get the first elements in a list.
    `Future<Response>` | `lpos​(List<String> args)` | Return the index of matching elements on a list.
    `Future<Response>` | `lpush​(List<String> args)` | Prepend one or multiple elements to a list.
    `Future<Response>` | `lpushx​(List<String> args)` | Prepend an element to a list, only if the list exists.
    `Future<Response>` | `lrange​(String arg0, String arg1, String arg2)` | Get a range of elements from a list.
    `Future<Response>` | `lrem​(String arg0, String arg1, String arg2)` | Remove elements from a list.
    `Future<Response>` | `lset​(String arg0, String arg1, String arg2)` | Set the value of an element in a list by its index.
    `Future<Response>` | `ltrim​(String arg0, String arg1, String arg2)` | Trim a list to the specified range.
    `Future<Response>` | `memory​(List<String> args)` | A container for memory diagnostics commands.
    `Future<Response>` | `mget​(List<String> args)` | Get the values of all the given keys.
    `Future<Response>` | `migrate​(List<String> args)` | Atomically transfer a key from a Redis instance to another one.
    `Future<Response>` | `module​(List<String> args)` | A container for module commands.
    `Future<Response>` | `monitor()` | Listen for all requests received by the server in real time.
    `Future<Response>` | `move​(String arg0, String arg1)` | Move a key to another database.
    `Future<Response>` | `mset​(List<String> args)` | Set multiple keys to multiple values.
    `Future<Response>` | `msetnx​(List<String> args)` | Set multiple keys to multiple values, only if none of the keys exist.
    `Future<Response>` | `multi()` | Mark the start of a transaction block.
    `static RedisAPI` | `newInstance​(RedisAPI arg)` |
    `Future<Response>` | `object​(List<String> args)` | A container for object introspection commands.
    `Future<Response>` | `persist​(String arg0)` | Remove the expiration from a key.
    `Future<Response>` | `pexpire​(List<String> args)` | Set a key's time to live in milliseconds.
    `Future<Response>` | `pexpireat​(List<String> args)` | Set the expiration for a key as a UNIX timestamp specified in milliseconds.
    `Future<Response>` | `pexpiretime​(String arg0)` | Get the expiration Unix timestamp for a key in milliseconds.
    `Future<Response>` | `pfadd​(List<String> args)` | Adds the specified elements to the specified HyperLogLog.
    `Future<Response>` | `pfcount​(List<String> args)` | Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `Future<Response>` | `pfdebug​(String arg0, String arg1)` | Internal commands for debugging HyperLogLog values.
    `Future<Response>` | `pfmerge​(List<String> args)` | Merge N different HyperLogLogs into a single one.
    `Future<Response>` | `pfselftest()` | An internal command for testing HyperLogLog values.
    `Future<Response>` | `ping​(List<String> args)` | Ping the server.
    `Future<Response>` | `psetex​(String arg0, String arg1, String arg2)` | Set the value and expiration in milliseconds of a key.
    `Future<Response>` | `psubscribe​(List<String> args)` | Listen for messages published to channels matching the given patterns.
    `Future<Response>` | `psync​(List<String> args)` | Internal command used for replication.
    `Future<Response>` | `pttl​(String arg0)` | Get the time to live for a key in milliseconds.
    `Future<Response>` | `publish​(String arg0, String arg1)` | Post a message to a channel.
    `Future<Response>` | `pubsub​(List<String> args)` | A container for Pub/Sub commands.
    `Future<Response>` | `punsubscribe​(List<String> args)` | Stop listening for messages posted to channels matching the given patterns.
    `Future<Response>` | `quit​(List<String> args)` | Close the connection.
    `Future<Response>` | `randomkey()` | Return a random key from the keyspace.
    `Future<Response>` | `readonly()` | Enables read queries for a connection to a cluster replica node.
    `Future<Response>` | `readwrite()` | Disables read queries for a connection to a cluster replica node.
    `Future<Response>` | `rename​(String arg0, String arg1)` | Rename a key.
    `Future<Response>` | `renamenx​(String arg0, String arg1)` | Rename a key, only if the new key does not exist.
    `Future<Response>` | `replconf​(List<String> args)` | An internal command for configuring the replication stream.
    `Future<Response>` | `replicaof​(String arg0, String arg1)` | Make the server a replica of another instance, or promote it as master.
    `Future<Response>` | `reset()` | Reset the connection.
    `Future<Response>` | `restore​(List<String> args)` | Create a key using the provided serialized value, previously obtained using DUMP.
    `Future<Response>` | `restoreAsking​(List<String> args)` | An internal command for migrating keys in a cluster.
    `Future<Response>` | `role()` | Return the role of the instance in the context of replication.
    `Future<Response>` | `rpop​(List<String> args)` | Remove and get the last elements in a list.
    `Future<Response>` | `rpoplpush​(String arg0, String arg1)` | Deprecated.
    `Future<Response>` | `rpush​(List<String> args)` | Append one or multiple elements to a list.
    `Future<Response>` | `rpushx​(List<String> args)` | Append an element to a list, only if the list exists.
    `Single<Response>` | `rxAcl​(List<String> args)` | A container for Access List Control commands.
    `Single<Response>` | `rxAppend​(String arg0, String arg1)` | Append a value to a key.
    `Single<Response>` | `rxAsking()` | Sent by cluster clients after an -ASK redirect.
    `Single<Response>` | `rxAuth​(List<String> args)` | Authenticate to the server.
    `Single<Response>` | `rxBfAdd​(List<String> args)` | Redis command BF.ADD.
    `Single<Response>` | `rxBfCard​(List<String> args)` | Redis command BF.CARD.
    `Single<Response>` | `rxBfDebug​(List<String> args)` | Redis command BF.DEBUG.
    `Single<Response>` | `rxBfExists​(List<String> args)` | Redis command BF.EXISTS.
    `Single<Response>` | `rxBfInfo​(List<String> args)` | Redis command BF.INFO.
    `Single<Response>` | `rxBfInsert​(List<String> args)` | Redis command BF.INSERT.
    `Single<Response>` | `rxBfLoadchunk​(List<String> args)` | Redis command BF.LOADCHUNK.
    `Single<Response>` | `rxBfMadd​(List<String> args)` | Redis command BF.MADD.
    `Single<Response>` | `rxBfMexists​(List<String> args)` | Redis command BF.MEXISTS.
    `Single<Response>` | `rxBfReserve​(List<String> args)` | Redis command BF.RESERVE.
    `Single<Response>` | `rxBfScandump​(List<String> args)` | Redis command BF.SCANDUMP.
    `Single<Response>` | `rxBgrewriteaof()` | Asynchronously rewrite the append-only file.
    `Single<Response>` | `rxBgsave​(List<String> args)` | Asynchronously save the dataset to disk.
    `Single<Response>` | `rxBitcount​(List<String> args)` | Count set bits in a string.
    `Single<Response>` | `rxBitfield​(List<String> args)` | Perform arbitrary bitfield integer operations on strings.
    `Single<Response>` | `rxBitfieldRo​(List<String> args)` | Perform arbitrary bitfield integer operations on strings.
    `Single<Response>` | `rxBitop​(List<String> args)` | Perform bitwise operations between strings.
    `Single<Response>` | `rxBitpos​(List<String> args)` | Find first bit set or clear in a string.
    `Single<Response>` | `rxBlmove​(String arg0, String arg1, String arg2, String arg3, String arg4)` | Pop an element from a list, push it to another list and return it; or block until one is available.
    `Single<Response>` | `rxBlmpop​(List<String> args)` | Pop elements from a list, or block until one is available.
    `Single<Response>` | `rxBlpop​(List<String> args)` | Remove and get the first element in a list, or block until one is available.
    `Single<Response>` | `rxBrpop​(List<String> args)` | Remove and get the last element in a list, or block until one is available.
    `Single<Response>` | `rxBrpoplpush​(String arg0, String arg1, String arg2)` | Deprecated.
    `Single<Response>` | `rxBzmpop​(List<String> args)` | Remove and return members with scores in a sorted set or block until one is available.
    `Single<Response>` | `rxBzpopmax​(List<String> args)` | Remove and return the member with the highest score from one or more sorted sets, or block until one is available.
    `Single<Response>` | `rxBzpopmin​(List<String> args)` | Remove and return the member with the lowest score from one or more sorted sets, or block until one is available.
    `Single<Response>` | `rxCfAdd​(List<String> args)` | Redis command CF.ADD.
    `Single<Response>` | `rxCfAddnx​(List<String> args)` | Redis command CF.ADDNX.
    `Single<Response>` | `rxCfCompact​(List<String> args)` | Redis command CF.COMPACT.
    `Single<Response>` | `rxCfCount​(List<String> args)` | Redis command CF.COUNT.
    `Single<Response>` | `rxCfDebug​(List<String> args)` | Redis command CF.DEBUG.
    `Single<Response>` | `rxCfDel​(List<String> args)` | Redis command CF.DEL.
    `Single<Response>` | `rxCfExists​(List<String> args)` | Redis command CF.EXISTS.
    `Single<Response>` | `rxCfInfo​(List<String> args)` | Redis command CF.INFO.
    `Single<Response>` | `rxCfInsert​(List<String> args)` | Redis command CF.INSERT.
    `Single<Response>` | `rxCfInsertnx​(List<String> args)` | Redis command CF.INSERTNX.
    `Single<Response>` | `rxCfLoadchunk​(List<String> args)` | Redis command CF.LOADCHUNK.
    `Single<Response>` | `rxCfMexists​(List<String> args)` | Redis command CF.MEXISTS.
    `Single<Response>` | `rxCfReserve​(List<String> args)` | Redis command CF.RESERVE.
    `Single<Response>` | `rxCfScandump​(List<String> args)` | Redis command CF.SCANDUMP.
    `Single<Response>` | `rxClient​(List<String> args)` | A container for client connection commands.
    `Single<Response>` | `rxCluster​(List<String> args)` | A container for cluster commands.
    `Single<Response>` | `rxCmsIncrby​(List<String> args)` | Redis command CMS.INCRBY.
    `Single<Response>` | `rxCmsInfo​(List<String> args)` | Redis command CMS.INFO.
    `Single<Response>` | `rxCmsInitbydim​(List<String> args)` | Redis command CMS.INITBYDIM.
    `Single<Response>` | `rxCmsInitbyprob​(List<String> args)` | Redis command CMS.INITBYPROB.
    `Single<Response>` | `rxCmsMerge​(List<String> args)` | Redis command CMS.MERGE.
    `Single<Response>` | `rxCmsQuery​(List<String> args)` | Redis command CMS.QUERY.
    `Single<Response>` | `rxCommand​(List<String> args)` | Get array of Redis command details.
    `Single<Response>` | `rxConfig​(List<String> args)` | A container for server configuration commands.
    `Single<Response>` | `rxCopy​(List<String> args)` | Copy a key.
    `Single<Response>` | `rxDbsize()` | Return the number of keys in the selected database.
    `Single<Response>` | `rxDebug​(List<String> args)` | A container for debugging commands.
    `Single<Response>` | `rxDecr​(String arg0)` | Decrement the integer value of a key by one.
    `Single<Response>` | `rxDecrby​(String arg0, String arg1)` | Decrement the integer value of a key by the given number.
    `Single<Response>` | `rxDel​(List<String> args)` | Delete a key.
    `Single<Response>` | `rxDiscard()` | Discard all commands issued after MULTI.
    `Single<Response>` | `rxDump​(String arg0)` | Return a serialized version of the value stored at the specified key.
    `Single<Response>` | `rxEcho​(String arg0)` | Echo the given string.
    `Single<Response>` | `rxEval​(List<String> args)` | Execute a Lua script server side.
    `Single<Response>` | `rxEvalRo​(List<String> args)` | Execute a read-only Lua script server side.
    `Single<Response>` | `rxEvalsha​(List<String> args)` | Execute a Lua script server side.
    `Single<Response>` | `rxEvalshaRo​(List<String> args)` | Execute a read-only Lua script server side.
    `Single<Response>` | `rxExec()` | Execute all commands issued after MULTI.
    `Single<Response>` | `rxExists​(List<String> args)` | Determine if a key exists.
    `Single<Response>` | `rxExpire​(List<String> args)` | Set a key's time to live in seconds.
    `Single<Response>` | `rxExpireat​(List<String> args)` | Set the expiration for a key as a UNIX timestamp.
    `Single<Response>` | `rxExpiretime​(String arg0)` | Get the expiration Unix timestamp for a key.
    `Single<Response>` | `rxFailover​(List<String> args)` | Start a coordinated failover between this server and one of its replicas.
    `Single<Response>` | `rxFcall​(List<String> args)` | Invoke a function.
    `Single<Response>` | `rxFcallRo​(List<String> args)` | Invoke a read-only function.
    `Single<Response>` | `rxFlushall​(List<String> args)` | Remove all keys from all databases.
    `Single<Response>` | `rxFlushdb​(List<String> args)` | Remove all keys from the current database.
    `Single<Response>` | `rxFtAdd​(List<String> args)` | Redis command FT.ADD.
    `Single<Response>` | `rxFtAggregate​(List<String> args)` | Redis command FT.AGGREGATE.
    `Single<Response>` | `rxFtAliasadd​(List<String> args)` | Redis command FT.ALIASADD.
    `Single<Response>` | `rxFtAliasaddifnx​(List<String> args)` | Redis command FT._ALIASADDIFNX.
    `Single<Response>` | `rxFtAliasdel​(List<String> args)` | Redis command FT.ALIASDEL.
    `Single<Response>` | `rxFtAliasdelifx​(List<String> args)` | Redis command FT._ALIASDELIFX.
    `Single<Response>` | `rxFtAliasupdate​(List<String> args)` | Redis command FT.ALIASUPDATE.
    `Single<Response>` | `rxFtAlter​(List<String> args)` | Redis command FT.ALTER.
    `Single<Response>` | `rxFtAlterifnx​(List<String> args)` | Redis command FT._ALTERIFNX.
    `Single<Response>` | `rxFtConfig​(List<String> args)` | Redis command FT.CONFIG.
    `Single<Response>` | `rxFtCreate​(List<String> args)` | Redis command FT.CREATE.
    `Single<Response>` | `rxFtCreateifnx​(List<String> args)` | Redis command FT._CREATEIFNX.
    `Single<Response>` | `rxFtCursor​(List<String> args)` | Redis command FT.CURSOR.
    `Single<Response>` | `rxFtDebug​(List<String> args)` | Redis command FT.DEBUG.
    `Single<Response>` | `rxFtDel​(List<String> args)` | Redis command FT.DEL.
    `Single<Response>` | `rxFtDictadd​(List<String> args)` | Redis command FT.DICTADD.
    `Single<Response>` | `rxFtDictdel​(List<String> args)` | Redis command FT.DICTDEL.
    `Single<Response>` | `rxFtDictdump​(List<String> args)` | Redis command FT.DICTDUMP.
    `Single<Response>` | `rxFtDrop​(List<String> args)` | Redis command FT.DROP.
    `Single<Response>` | `rxFtDropifx​(List<String> args)` | Redis command FT._DROPIFX.
    `Single<Response>` | `rxFtDropindex​(List<String> args)` | Redis command FT.DROPINDEX.
    `Single<Response>` | `rxFtDropindexifx​(List<String> args)` | Redis command FT._DROPINDEXIFX.
    `Single<Response>` | `rxFtExplain​(List<String> args)` | Redis command FT.EXPLAIN.
    `Single<Response>` | `rxFtExplaincli​(List<String> args)` | Redis command FT.EXPLAINCLI.
    `Single<Response>` | `rxFtGet​(List<String> args)` | Redis command FT.GET.
    `Single<Response>` | `rxFtInfo​(List<String> args)` | Redis command FT.INFO.
    `Single<Response>` | `rxFtList​(List<String> args)` | Redis command FT._LIST.
    `Single<Response>` | `rxFtMget​(List<String> args)` | Redis command FT.MGET.
    `Single<Response>` | `rxFtProfile​(List<String> args)` | Redis command FT.PROFILE.
    `Single<Response>` | `rxFtSafeadd​(List<String> args)` | Redis command FT.SAFEADD.
    `Single<Response>` | `rxFtSearch​(List<String> args)` | Redis command FT.SEARCH.
    `Single<Response>` | `rxFtSpellcheck​(List<String> args)` | Redis command FT.SPELLCHECK.
    `Single<Response>` | `rxFtSugadd​(List<String> args)` | Redis command FT.SUGADD.
    `Single<Response>` | `rxFtSugdel​(List<String> args)` | Redis command FT.SUGDEL.
    `Single<Response>` | `rxFtSugget​(List<String> args)` | Redis command FT.SUGGET.
    `Single<Response>` | `rxFtSuglen​(List<String> args)` | Redis command FT.SUGLEN.
    `Single<Response>` | `rxFtSynadd​(List<String> args)` | Redis command FT.SYNADD.
    `Single<Response>` | `rxFtSyndump​(List<String> args)` | Redis command FT.SYNDUMP.
    `Single<Response>` | `rxFtSynupdate​(List<String> args)` | Redis command FT.SYNUPDATE.
    `Single<Response>` | `rxFtTagvals​(List<String> args)` | Redis command FT.TAGVALS.
    `Single<Response>` | `rxFunction​(List<String> args)` | A container for function commands.
    `Single<Response>` | `rxGeoadd​(List<String> args)` | Add one or more geospatial items in the geospatial index represented using a sorted set.
    `Single<Response>` | `rxGeodist​(List<String> args)` | Returns the distance between two members of a geospatial index.
    `Single<Response>` | `rxGeohash​(List<String> args)` | Returns members of a geospatial index as standard geohash strings.
    `Single<Response>` | `rxGeopos​(List<String> args)` | Returns longitude and latitude of members of a geospatial index.
    `Single<Response>` | `rxGeoradius​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxGeoradiusbymember​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxGeoradiusbymemberRo​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxGeoradiusRo​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxGeosearch​(List<String> args)` | Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle.
    `Single<Response>` | `rxGeosearchstore​(List<String> args)` | Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle, and store the result in another key.
    `Single<Response>` | `rxGet​(String arg0)` | Get the value of a key.
    `Single<Response>` | `rxGetbit​(String arg0, String arg1)` | Returns the bit value at offset in the string value stored at key.
    `Single<Response>` | `rxGetdel​(String arg0)` | Get the value of a key and delete the key.
    `Single<Response>` | `rxGetex​(List<String> args)` | Get the value of a key and optionally set its expiration.
    `Single<Response>` | `rxGetrange​(String arg0, String arg1, String arg2)` | Get a substring of the string stored at a key.
    `Single<Response>` | `rxGetset​(String arg0, String arg1)` | Deprecated.
    `Single<Response>` | `rxGraphBulk​(List<String> args)` | Redis command GRAPH.BULK.
    `Single<Response>` | `rxGraphConfig​(List<String> args)` | Redis command GRAPH.CONFIG.
    `Single<Response>` | `rxGraphDebug​(List<String> args)` | Redis command GRAPH.DEBUG.
    `Single<Response>` | `rxGraphDelete​(List<String> args)` | Redis command GRAPH.DELETE.
    `Single<Response>` | `rxGraphExplain​(List<String> args)` | Redis command GRAPH.EXPLAIN.
    `Single<Response>` | `rxGraphList​(List<String> args)` | Redis command GRAPH.LIST.
    `Single<Response>` | `rxGraphProfile​(List<String> args)` | Redis command GRAPH.PROFILE.
    `Single<Response>` | `rxGraphQuery​(List<String> args)` | Redis command GRAPH.QUERY.
    `Single<Response>` | `rxGraphRoQuery​(List<String> args)` | Redis command GRAPH.RO_QUERY.
    `Single<Response>` | `rxGraphSlowlog​(List<String> args)` | Redis command GRAPH.SLOWLOG.
    `Single<Response>` | `rxHdel​(List<String> args)` | Delete one or more hash fields.
    `Single<Response>` | `rxHello​(List<String> args)` | Handshake with Redis.
    `Single<Response>` | `rxHexists​(String arg0, String arg1)` | Determine if a hash field exists.
    `Single<Response>` | `rxHget​(String arg0, String arg1)` | Get the value of a hash field.
    `Single<Response>` | `rxHgetall​(String arg0)` | Get all the fields and values in a hash.
    `Single<Response>` | `rxHincrby​(String arg0, String arg1, String arg2)` | Increment the integer value of a hash field by the given number.
    `Single<Response>` | `rxHincrbyfloat​(String arg0, String arg1, String arg2)` | Increment the float value of a hash field by the given amount.
    `Single<Response>` | `rxHkeys​(String arg0)` | Get all the fields in a hash.
    `Single<Response>` | `rxHlen​(String arg0)` | Get the number of fields in a hash.
    `Single<Response>` | `rxHmget​(List<String> args)` | Get the values of all the given hash fields.
    `Single<Response>` | `rxHmset​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxHrandfield​(List<String> args)` | Get one or multiple random fields from a hash.
    `Single<Response>` | `rxHscan​(List<String> args)` | Incrementally iterate hash fields and associated values.
    `Single<Response>` | `rxHset​(List<String> args)` | Set the string value of a hash field.
    `Single<Response>` | `rxHsetnx​(String arg0, String arg1, String arg2)` | Set the value of a hash field, only if the field does not exist.
    `Single<Response>` | `rxHstrlen​(String arg0, String arg1)` | Get the length of the value of a hash field.
    `Single<Response>` | `rxHvals​(String arg0)` | Get all the values in a hash.
    `Single<Response>` | `rxIncr​(String arg0)` | Increment the integer value of a key by one.
    `Single<Response>` | `rxIncrby​(String arg0, String arg1)` | Increment the integer value of a key by the given amount.
    `Single<Response>` | `rxIncrbyfloat​(String arg0, String arg1)` | Increment the float value of a key by the given amount.
    `Single<Response>` | `rxInfo​(List<String> args)` | Get information and statistics about the server.
    `Single<Response>` | `rxJsonArrappend​(List<String> args)` | Redis command JSON.ARRAPPEND.
    `Single<Response>` | `rxJsonArrindex​(List<String> args)` | Redis command JSON.ARRINDEX.
    `Single<Response>` | `rxJsonArrinsert​(List<String> args)` | Redis command JSON.ARRINSERT.
    `Single<Response>` | `rxJsonArrlen​(List<String> args)` | Redis command JSON.ARRLEN.
    `Single<Response>` | `rxJsonArrpop​(List<String> args)` | Redis command JSON.ARRPOP.
    `Single<Response>` | `rxJsonArrtrim​(List<String> args)` | Redis command JSON.ARRTRIM.
    `Single<Response>` | `rxJsonClear​(List<String> args)` | Redis command JSON.CLEAR.
    `Single<Response>` | `rxJsonDebug​(List<String> args)` | Redis command JSON.DEBUG.
    `Single<Response>` | `rxJsonDel​(List<String> args)` | Redis command JSON.DEL.
    `Single<Response>` | `rxJsonForget​(List<String> args)` | Redis command JSON.FORGET.
    `Single<Response>` | `rxJsonGet​(List<String> args)` | Redis command JSON.GET.
    `Single<Response>` | `rxJsonMget​(List<String> args)` | Redis command JSON.MGET.
    `Single<Response>` | `rxJsonNumincrby​(List<String> args)` | Redis command JSON.NUMINCRBY.
    `Single<Response>` | `rxJsonNummultby​(List<String> args)` | Redis command JSON.NUMMULTBY.
    `Single<Response>` | `rxJsonNumpowby​(List<String> args)` | Redis command JSON.NUMPOWBY.
    `Single<Response>` | `rxJsonObjkeys​(List<String> args)` | Redis command JSON.OBJKEYS.
    `Single<Response>` | `rxJsonObjlen​(List<String> args)` | Redis command JSON.OBJLEN.
    `Single<Response>` | `rxJsonResp​(List<String> args)` | Redis command JSON.RESP.
    `Single<Response>` | `rxJsonSet​(List<String> args)` | Redis command JSON.SET.
    `Single<Response>` | `rxJsonStrappend​(List<String> args)` | Redis command JSON.STRAPPEND.
    `Single<Response>` | `rxJsonStrlen​(List<String> args)` | Redis command JSON.STRLEN.
    `Single<Response>` | `rxJsonToggle​(List<String> args)` | Redis command JSON.TOGGLE.
    `Single<Response>` | `rxJsonType​(List<String> args)` | Redis command JSON.TYPE.
    `Single<Response>` | `rxKeys​(String arg0)` | Find all keys matching the given pattern.
    `Single<Response>` | `rxLastsave()` | Get the UNIX time stamp of the last successful save to disk.
    `Single<Response>` | `rxLatency​(List<String> args)` | A container for latency diagnostics commands.
    `Single<Response>` | `rxLcs​(List<String> args)` | Find longest common substring.
    `Single<Response>` | `rxLindex​(String arg0, String arg1)` | Get an element from a list by its index.
    `Single<Response>` | `rxLinsert​(String arg0, String arg1, String arg2, String arg3)` | Insert an element before or after another element in a list.
    `Single<Response>` | `rxLlen​(String arg0)` | Get the length of a list.
    `Single<Response>` | `rxLmove​(String arg0, String arg1, String arg2, String arg3)` | Pop an element from a list, push it to another list and return it.
    `Single<Response>` | `rxLmpop​(List<String> args)` | Pop elements from a list.
    `Single<Response>` | `rxLolwut​(List<String> args)` | Display some computer art and the Redis version.
    `Single<Response>` | `rxLpop​(List<String> args)` | Remove and get the first elements in a list.
    `Single<Response>` | `rxLpos​(List<String> args)` | Return the index of matching elements on a list.
    `Single<Response>` | `rxLpush​(List<String> args)` | Prepend one or multiple elements to a list.
    `Single<Response>` | `rxLpushx​(List<String> args)` | Prepend an element to a list, only if the list exists.
    `Single<Response>` | `rxLrange​(String arg0, String arg1, String arg2)` | Get a range of elements from a list.
    `Single<Response>` | `rxLrem​(String arg0, String arg1, String arg2)` | Remove elements from a list.
    `Single<Response>` | `rxLset​(String arg0, String arg1, String arg2)` | Set the value of an element in a list by its index.
    `Single<Response>` | `rxLtrim​(String arg0, String arg1, String arg2)` | Trim a list to the specified range.
    `Single<Response>` | `rxMemory​(List<String> args)` | A container for memory diagnostics commands.
    `Single<Response>` | `rxMget​(List<String> args)` | Get the values of all the given keys.
    `Single<Response>` | `rxMigrate​(List<String> args)` | Atomically transfer a key from a Redis instance to another one.
    `Single<Response>` | `rxModule​(List<String> args)` | A container for module commands.
    `Single<Response>` | `rxMonitor()` | Listen for all requests received by the server in real time.
    `Single<Response>` | `rxMove​(String arg0, String arg1)` | Move a key to another database.
    `Single<Response>` | `rxMset​(List<String> args)` | Set multiple keys to multiple values.
    `Single<Response>` | `rxMsetnx​(List<String> args)` | Set multiple keys to multiple values, only if none of the keys exist.
    `Single<Response>` | `rxMulti()` | Mark the start of a transaction block.
    `Single<Response>` | `rxObject​(List<String> args)` | A container for object introspection commands.
    `Single<Response>` | `rxPersist​(String arg0)` | Remove the expiration from a key.
    `Single<Response>` | `rxPexpire​(List<String> args)` | Set a key's time to live in milliseconds.
    `Single<Response>` | `rxPexpireat​(List<String> args)` | Set the expiration for a key as a UNIX timestamp specified in milliseconds.
    `Single<Response>` | `rxPexpiretime​(String arg0)` | Get the expiration Unix timestamp for a key in milliseconds.
    `Single<Response>` | `rxPfadd​(List<String> args)` | Adds the specified elements to the specified HyperLogLog.
    `Single<Response>` | `rxPfcount​(List<String> args)` | Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `Single<Response>` | `rxPfdebug​(String arg0, String arg1)` | Internal commands for debugging HyperLogLog values.
    `Single<Response>` | `rxPfmerge​(List<String> args)` | Merge N different HyperLogLogs into a single one.
    `Single<Response>` | `rxPfselftest()` | An internal command for testing HyperLogLog values.
    `Single<Response>` | `rxPing​(List<String> args)` | Ping the server.
    `Single<Response>` | `rxPsetex​(String arg0, String arg1, String arg2)` | Set the value and expiration in milliseconds of a key.
    `Single<Response>` | `rxPsubscribe​(List<String> args)` | Listen for messages published to channels matching the given patterns.
    `Single<Response>` | `rxPsync​(List<String> args)` | Internal command used for replication.
    `Single<Response>` | `rxPttl​(String arg0)` | Get the time to live for a key in milliseconds.
    `Single<Response>` | `rxPublish​(String arg0, String arg1)` | Post a message to a channel.
    `Single<Response>` | `rxPubsub​(List<String> args)` | A container for Pub/Sub commands.
    `Single<Response>` | `rxPunsubscribe​(List<String> args)` | Stop listening for messages posted to channels matching the given patterns.
    `Single<Response>` | `rxQuit​(List<String> args)` | Close the connection.
    `Single<Response>` | `rxRandomkey()` | Return a random key from the keyspace.
    `Single<Response>` | `rxReadonly()` | Enables read queries for a connection to a cluster replica node.
    `Single<Response>` | `rxReadwrite()` | Disables read queries for a connection to a cluster replica node.
    `Single<Response>` | `rxRename​(String arg0, String arg1)` | Rename a key.
    `Single<Response>` | `rxRenamenx​(String arg0, String arg1)` | Rename a key, only if the new key does not exist.
    `Single<Response>` | `rxReplconf​(List<String> args)` | An internal command for configuring the replication stream.
    `Single<Response>` | `rxReplicaof​(String arg0, String arg1)` | Make the server a replica of another instance, or promote it as master.
    `Single<Response>` | `rxReset()` | Reset the connection.
    `Single<Response>` | `rxRestore​(List<String> args)` | Create a key using the provided serialized value, previously obtained using DUMP.
    `Single<Response>` | `rxRestoreAsking​(List<String> args)` | An internal command for migrating keys in a cluster.
    `Single<Response>` | `rxRole()` | Return the role of the instance in the context of replication.
    `Single<Response>` | `rxRpop​(List<String> args)` | Remove and get the last elements in a list.
    `Single<Response>` | `rxRpoplpush​(String arg0, String arg1)` | Deprecated.
    `Single<Response>` | `rxRpush​(List<String> args)` | Append one or multiple elements to a list.
    `Single<Response>` | `rxRpushx​(List<String> args)` | Append an element to a list, only if the list exists.
    `Single<Response>` | `rxSadd​(List<String> args)` | Add one or more members to a set.
    `Single<Response>` | `rxSave()` | Synchronously save the dataset to disk.
    `Single<Response>` | `rxScan​(List<String> args)` | Incrementally iterate the keys space.
    `Single<Response>` | `rxScard​(String arg0)` | Get the number of members in a set.
    `Single<Response>` | `rxScript​(List<String> args)` | A container for Lua scripts management commands.
    `Single<Response>` | `rxSdiff​(List<String> args)` | Subtract multiple sets.
    `Single<Response>` | `rxSdiffstore​(List<String> args)` | Subtract multiple sets and store the resulting set in a key.
    `Single<Response>` | `rxSelect​(String arg0)` | Change the selected database for the current connection.
    `Single<Response>` | `rxSet​(List<String> args)` | Set the string value of a key.
    `Single<Response>` | `rxSetbit​(String arg0, String arg1, String arg2)` | Sets or clears the bit at offset in the string value stored at key.
    `Single<Response>` | `rxSetex​(String arg0, String arg1, String arg2)` | Set the value and expiration of a key.
    `Single<Response>` | `rxSetnx​(String arg0, String arg1)` | Set the value of a key, only if the key does not exist.
    `Single<Response>` | `rxSetrange​(String arg0, String arg1, String arg2)` | Overwrite part of a string at key starting at the specified offset.
    `Single<Response>` | `rxShutdown​(List<String> args)` | Synchronously save the dataset to disk and then shut down the server.
    `Single<Response>` | `rxSinter​(List<String> args)` | Intersect multiple sets.
    `Single<Response>` | `rxSintercard​(List<String> args)` | Intersect multiple sets and return the cardinality of the result.
    `Single<Response>` | `rxSinterstore​(List<String> args)` | Intersect multiple sets and store the resulting set in a key.
    `Single<Response>` | `rxSismember​(String arg0, String arg1)` | Determine if a given value is a member of a set.
    `Single<Response>` | `rxSlaveof​(String arg0, String arg1)` | Deprecated.
    `Single<Response>` | `rxSlowlog​(List<String> args)` | A container for slow log commands.
    `Single<Response>` | `rxSmembers​(String arg0)` | Get all the members in a set.
    `Single<Response>` | `rxSmismember​(List<String> args)` | Returns the membership associated with the given elements for a set.
    `Single<Response>` | `rxSmove​(String arg0, String arg1, String arg2)` | Move a member from one set to another.
    `Single<Response>` | `rxSort​(List<String> args)` | Sort the elements in a list, set or sorted set.
    `Single<Response>` | `rxSortRo​(List<String> args)` | Sort the elements in a list, set or sorted set.
    `Single<Response>` | `rxSpop​(List<String> args)` | Remove and return one or multiple random members from a set.
    `Single<Response>` | `rxSpublish​(String arg0, String arg1)` | Post a message to a shard channel.
    `Single<Response>` | `rxSrandmember​(List<String> args)` | Get one or multiple random members from a set.
    `Single<Response>` | `rxSrem​(List<String> args)` | Remove one or more members from a set.
    `Single<Response>` | `rxSscan​(List<String> args)` | Incrementally iterate Set elements.
    `Single<Response>` | `rxSsubscribe​(List<String> args)` | Listen for messages published to the given shard channels.
    `Single<Response>` | `rxStrlen​(String arg0)` | Get the length of the value stored in a key.
    `Single<Response>` | `rxSubscribe​(List<String> args)` | Listen for messages published to the given channels.
    `Single<Response>` | `rxSubstr​(String arg0, String arg1, String arg2)` | Deprecated.
    `Single<Response>` | `rxSunion​(List<String> args)` | Add multiple sets.
    `Single<Response>` | `rxSunionstore​(List<String> args)` | Add multiple sets and store the resulting set in a key.
    `Single<Response>` | `rxSunsubscribe​(List<String> args)` | Stop listening for messages posted to the given shard channels.
    `Single<Response>` | `rxSwapdb​(String arg0, String arg1)` | Swaps two Redis databases.
    `Single<Response>` | `rxSync()` | Internal command used for replication.
    `Single<Response>` | `rxTdigestAdd​(List<String> args)` | Redis command TDIGEST.ADD.
    `Single<Response>` | `rxTdigestByrank​(List<String> args)` | Redis command TDIGEST.BYRANK.
    `Single<Response>` | `rxTdigestByrevrank​(List<String> args)` | Redis command TDIGEST.BYREVRANK.
    `Single<Response>` | `rxTdigestCdf​(List<String> args)` | Redis command TDIGEST.CDF.
    `Single<Response>` | `rxTdigestCreate​(List<String> args)` | Redis command TDIGEST.CREATE.
    `Single<Response>` | `rxTdigestInfo​(List<String> args)` | Redis command TDIGEST.INFO.
    `Single<Response>` | `rxTdigestMax​(List<String> args)` | Redis command TDIGEST.MAX.
    `Single<Response>` | `rxTdigestMerge​(List<String> args)` | Redis command TDIGEST.MERGE.
    `Single<Response>` | `rxTdigestMin​(List<String> args)` | Redis command TDIGEST.MIN.
    `Single<Response>` | `rxTdigestQuantile​(List<String> args)` | Redis command TDIGEST.QUANTILE.
    `Single<Response>` | `rxTdigestRank​(List<String> args)` | Redis command TDIGEST.RANK.
    `Single<Response>` | `rxTdigestReset​(List<String> args)` | Redis command TDIGEST.RESET.
    `Single<Response>` | `rxTdigestRevrank​(List<String> args)` | Redis command TDIGEST.REVRANK.
    `Single<Response>` | `rxTdigestTrimmedMean​(List<String> args)` | Redis command TDIGEST.TRIMMED_MEAN.
    `Single<Response>` | `rxTime()` | Return the current server time.
    `Single<Response>` | `rxTimeseriesClusterset​(List<String> args)` | Redis command TIMESERIES.CLUSTERSET.
    `Single<Response>` | `rxTimeseriesClustersetfromshard​(List<String> args)` | Redis command TIMESERIES.CLUSTERSETFROMSHARD.
    `Single<Response>` | `rxTimeseriesHello​(List<String> args)` | Redis command TIMESERIES.HELLO.
    `Single<Response>` | `rxTimeseriesInfocluster​(List<String> args)` | Redis command TIMESERIES.INFOCLUSTER.
    `Single<Response>` | `rxTimeseriesInnercommunication​(List<String> args)` | Redis command TIMESERIES.INNERCOMMUNICATION.
    `Single<Response>` | `rxTimeseriesNetworktest​(List<String> args)` | Redis command TIMESERIES.NETWORKTEST.
    `Single<Response>` | `rxTimeseriesRefreshcluster​(List<String> args)` | Redis command TIMESERIES.REFRESHCLUSTER.
    `Single<Response>` | `rxTopkAdd​(List<String> args)` | Redis command TOPK.ADD.
    `Single<Response>` | `rxTopkCount​(List<String> args)` | Redis command TOPK.COUNT.
    `Single<Response>` | `rxTopkIncrby​(List<String> args)` | Redis command TOPK.INCRBY.
    `Single<Response>` | `rxTopkInfo​(List<String> args)` | Redis command TOPK.INFO.
    `Single<Response>` | `rxTopkList​(List<String> args)` | Redis command TOPK.LIST.
    `Single<Response>` | `rxTopkQuery​(List<String> args)` | Redis command TOPK.QUERY.
    `Single<Response>` | `rxTopkReserve​(List<String> args)` | Redis command TOPK.RESERVE.
    `Single<Response>` | `rxTouch​(List<String> args)` | Alters the last access time of a key(s).
    `Single<Response>` | `rxTsAdd​(List<String> args)` | Redis command TS.ADD.
    `Single<Response>` | `rxTsAlter​(List<String> args)` | Redis command TS.ALTER.
    `Single<Response>` | `rxTsCreate​(List<String> args)` | Redis command TS.CREATE.
    `Single<Response>` | `rxTsCreaterule​(List<String> args)` | Redis command TS.CREATERULE.
    `Single<Response>` | `rxTsDecrby​(List<String> args)` | Redis command TS.DECRBY.
    `Single<Response>` | `rxTsDel​(List<String> args)` | Redis command TS.DEL.
    `Single<Response>` | `rxTsDeleterule​(List<String> args)` | Redis command TS.DELETERULE.
    `Single<Response>` | `rxTsGet​(List<String> args)` | Redis command TS.GET.
    `Single<Response>` | `rxTsIncrby​(List<String> args)` | Redis command TS.INCRBY.
    `Single<Response>` | `rxTsInfo​(List<String> args)` | Redis command TS.INFO.
    `Single<Response>` | `rxTsMadd​(List<String> args)` | Redis command TS.MADD.
    `Single<Response>` | `rxTsMget​(List<String> args)` | Redis command TS.MGET.
    `Single<Response>` | `rxTsMrange​(List<String> args)` | Redis command TS.MRANGE.
    `Single<Response>` | `rxTsMrevrange​(List<String> args)` | Redis command TS.MREVRANGE.
    `Single<Response>` | `rxTsQueryindex​(List<String> args)` | Redis command TS.QUERYINDEX.
    `Single<Response>` | `rxTsRange​(List<String> args)` | Redis command TS.RANGE.
    `Single<Response>` | `rxTsRevrange​(List<String> args)` | Redis command TS.REVRANGE.
    `Single<Response>` | `rxTtl​(String arg0)` | Get the time to live for a key in seconds.
    `Single<Response>` | `rxType​(String arg0)` | Determine the type stored at key.
    `Single<Response>` | `rxUnlink​(List<String> args)` | Delete a key asynchronously in another thread.
    `Single<Response>` | `rxUnsubscribe​(List<String> args)` | Stop listening for messages posted to the given channels.
    `Single<Response>` | `rxUnwatch()` | Forget about all watched keys.
    `Single<Response>` | `rxWait​(String arg0, String arg1)` | Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `Single<Response>` | `rxWatch​(List<String> args)` | Watch the given keys to determine execution of the MULTI/EXEC block.
    `Single<Response>` | `rxXack​(List<String> args)` | Marks a pending message as correctly processed, effectively removing it from the pending entries list of the consumer group.
    `Single<Response>` | `rxXadd​(List<String> args)` | Appends a new entry to a stream.
    `Single<Response>` | `rxXautoclaim​(List<String> args)` | Changes (or acquires) ownership of messages in a consumer group, as if the messages were delivered to the specified consumer.
    `Single<Response>` | `rxXclaim​(List<String> args)` | Changes (or acquires) ownership of a message in a consumer group, as if the message was delivered to the specified consumer.
    `Single<Response>` | `rxXdel​(List<String> args)` | Removes the specified entries from the stream.
    `Single<Response>` | `rxXgroup​(List<String> args)` | A container for consumer groups commands.
    `Single<Response>` | `rxXinfo​(List<String> args)` | A container for stream introspection commands.
    `Single<Response>` | `rxXlen​(String arg0)` | Return the number of entries in a stream.
    `Single<Response>` | `rxXpending​(List<String> args)` | Return information and entries from a stream consumer group pending entries list, that are messages fetched but never acknowledged.
    `Single<Response>` | `rxXrange​(List<String> args)` | Return a range of elements in a stream, with IDs matching the specified IDs interval.
    `Single<Response>` | `rxXread​(List<String> args)` | Return never seen elements in multiple streams, with IDs greater than the ones reported by the caller for each stream.
    `Single<Response>` | `rxXreadgroup​(List<String> args)` | Return new entries from a stream using a consumer group, or access the history of the pending entries for a given consumer.
    `Single<Response>` | `rxXrevrange​(List<String> args)` | Return a range of elements in a stream, with IDs matching the specified IDs interval, in reverse order (from greater to smaller IDs) compared to XRANGE.
    `Single<Response>` | `rxXsetid​(List<String> args)` | An internal command for replicating stream values.
    `Single<Response>` | `rxXtrim​(List<String> args)` | Trims the stream to (approximately if '~' is passed) a certain size.
    `Single<Response>` | `rxZadd​(List<String> args)` | Add one or more members to a sorted set, or update its score if it already exists.
    `Single<Response>` | `rxZcard​(String arg0)` | Get the number of members in a sorted set.
    `Single<Response>` | `rxZcount​(String arg0, String arg1, String arg2)` | Count the members in a sorted set with scores within the given values.
    `Single<Response>` | `rxZdiff​(List<String> args)` | Subtract multiple sorted sets.
    `Single<Response>` | `rxZdiffstore​(List<String> args)` | Subtract multiple sorted sets and store the resulting sorted set in a new key.
    `Single<Response>` | `rxZincrby​(String arg0, String arg1, String arg2)` | Increment the score of a member in a sorted set.
    `Single<Response>` | `rxZinter​(List<String> args)` | Intersect multiple sorted sets.
    `Single<Response>` | `rxZintercard​(List<String> args)` | Intersect multiple sorted sets and return the cardinality of the result.
    `Single<Response>` | `rxZinterstore​(List<String> args)` | Intersect multiple sorted sets and store the resulting sorted set in a new key.
    `Single<Response>` | `rxZlexcount​(String arg0, String arg1, String arg2)` | Count the number of members in a sorted set between a given lexicographical range.
    `Single<Response>` | `rxZmpop​(List<String> args)` | Remove and return members with scores in a sorted set.
    `Single<Response>` | `rxZmscore​(List<String> args)` | Get the score associated with the given members in a sorted set.
    `Single<Response>` | `rxZpopmax​(List<String> args)` | Remove and return members with the highest scores in a sorted set.
    `Single<Response>` | `rxZpopmin​(List<String> args)` | Remove and return members with the lowest scores in a sorted set.
    `Single<Response>` | `rxZrandmember​(List<String> args)` | Get one or multiple random elements from a sorted set.
    `Single<Response>` | `rxZrange​(List<String> args)` | Return a range of members in a sorted set.
    `Single<Response>` | `rxZrangebylex​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxZrangebyscore​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxZrangestore​(List<String> args)` | Store a range of members from sorted set into another key.
    `Single<Response>` | `rxZrank​(String arg0, String arg1)` | Determine the index of a member in a sorted set.
    `Single<Response>` | `rxZrem​(List<String> args)` | Remove one or more members from a sorted set.
    `Single<Response>` | `rxZremrangebylex​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set between the given lexicographical range.
    `Single<Response>` | `rxZremrangebyrank​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set within the given indexes.
    `Single<Response>` | `rxZremrangebyscore​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set within the given scores.
    `Single<Response>` | `rxZrevrange​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxZrevrangebylex​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxZrevrangebyscore​(List<String> args)` | Deprecated.
    `Single<Response>` | `rxZrevrank​(String arg0, String arg1)` | Determine the index of a member in a sorted set, with scores ordered from high to low.
    `Single<Response>` | `rxZscan​(List<String> args)` | Incrementally iterate sorted sets elements and associated scores.
    `Single<Response>` | `rxZscore​(String arg0, String arg1)` | Get the score associated with the given member in a sorted set.
    `Single<Response>` | `rxZunion​(List<String> args)` | Add multiple sorted sets.
    `Single<Response>` | `rxZunionstore​(List<String> args)` | Add multiple sorted sets and store the resulting sorted set in a new key.
    `Future<Response>` | `sadd​(List<String> args)` | Add one or more members to a set.
    `Future<Response>` | `save()` | Synchronously save the dataset to disk.
    `Future<Response>` | `scan​(List<String> args)` | Incrementally iterate the keys space.
    `Future<Response>` | `scard​(String arg0)` | Get the number of members in a set.
    `Future<Response>` | `script​(List<String> args)` | A container for Lua scripts management commands.
    `Future<Response>` | `sdiff​(List<String> args)` | Subtract multiple sets.
    `Future<Response>` | `sdiffstore​(List<String> args)` | Subtract multiple sets and store the resulting set in a key.
    `Future<Response>` | `select​(String arg0)` | Change the selected database for the current connection.
    `Future<Response>` | `set​(List<String> args)` | Set the string value of a key.
    `Future<Response>` | `setbit​(String arg0, String arg1, String arg2)` | Sets or clears the bit at offset in the string value stored at key.
    `Future<Response>` | `setex​(String arg0, String arg1, String arg2)` | Set the value and expiration of a key.
    `Future<Response>` | `setnx​(String arg0, String arg1)` | Set the value of a key, only if the key does not exist.
    `Future<Response>` | `setrange​(String arg0, String arg1, String arg2)` | Overwrite part of a string at key starting at the specified offset.
    `Future<Response>` | `shutdown​(List<String> args)` | Synchronously save the dataset to disk and then shut down the server.
    `Future<Response>` | `sinter​(List<String> args)` | Intersect multiple sets.
    `Future<Response>` | `sintercard​(List<String> args)` | Intersect multiple sets and return the cardinality of the result.
    `Future<Response>` | `sinterstore​(List<String> args)` | Intersect multiple sets and store the resulting set in a key.
    `Future<Response>` | `sismember​(String arg0, String arg1)` | Determine if a given value is a member of a set.
    `Future<Response>` | `slaveof​(String arg0, String arg1)` | Deprecated.
    `Future<Response>` | `slowlog​(List<String> args)` | A container for slow log commands.
    `Future<Response>` | `smembers​(String arg0)` | Get all the members in a set.
    `Future<Response>` | `smismember​(List<String> args)` | Returns the membership associated with the given elements for a set.
    `Future<Response>` | `smove​(String arg0, String arg1, String arg2)` | Move a member from one set to another.
    `Future<Response>` | `sort​(List<String> args)` | Sort the elements in a list, set or sorted set.
    `Future<Response>` | `sortRo​(List<String> args)` | Sort the elements in a list, set or sorted set.
    `Future<Response>` | `spop​(List<String> args)` | Remove and return one or multiple random members from a set.
    `Future<Response>` | `spublish​(String arg0, String arg1)` | Post a message to a shard channel.
    `Future<Response>` | `srandmember​(List<String> args)` | Get one or multiple random members from a set.
    `Future<Response>` | `srem​(List<String> args)` | Remove one or more members from a set.
    `Future<Response>` | `sscan​(List<String> args)` | Incrementally iterate Set elements.
    `Future<Response>` | `ssubscribe​(List<String> args)` | Listen for messages published to the given shard channels.
    `Future<Response>` | `strlen​(String arg0)` | Get the length of the value stored in a key.
    `Future<Response>` | `subscribe​(List<String> args)` | Listen for messages published to the given channels.
    `Future<Response>` | `substr​(String arg0, String arg1, String arg2)` | Deprecated.
    `Future<Response>` | `sunion​(List<String> args)` | Add multiple sets.
    `Future<Response>` | `sunionstore​(List<String> args)` | Add multiple sets and store the resulting set in a key.
    `Future<Response>` | `sunsubscribe​(List<String> args)` | Stop listening for messages posted to the given shard channels.
    `Future<Response>` | `swapdb​(String arg0, String arg1)` | Swaps two Redis databases.
    `Future<Response>` | `sync()` | Internal command used for replication.
    `Future<Response>` | `tdigestAdd​(List<String> args)` | Redis command TDIGEST.ADD.
    `Future<Response>` | `tdigestByrank​(List<String> args)` | Redis command TDIGEST.BYRANK.
    `Future<Response>` | `tdigestByrevrank​(List<String> args)` | Redis command TDIGEST.BYREVRANK.
    `Future<Response>` | `tdigestCdf​(List<String> args)` | Redis command TDIGEST.CDF.
    `Future<Response>` | `tdigestCreate​(List<String> args)` | Redis command TDIGEST.CREATE.
    `Future<Response>` | `tdigestInfo​(List<String> args)` | Redis command TDIGEST.INFO.
    `Future<Response>` | `tdigestMax​(List<String> args)` | Redis command TDIGEST.MAX.
    `Future<Response>` | `tdigestMerge​(List<String> args)` | Redis command TDIGEST.MERGE.
    `Future<Response>` | `tdigestMin​(List<String> args)` | Redis command TDIGEST.MIN.
    `Future<Response>` | `tdigestQuantile​(List<String> args)` | Redis command TDIGEST.QUANTILE.
    `Future<Response>` | `tdigestRank​(List<String> args)` | Redis command TDIGEST.RANK.
    `Future<Response>` | `tdigestReset​(List<String> args)` | Redis command TDIGEST.RESET.
    `Future<Response>` | `tdigestRevrank​(List<String> args)` | Redis command TDIGEST.REVRANK.
    `Future<Response>` | `tdigestTrimmedMean​(List<String> args)` | Redis command TDIGEST.TRIMMED_MEAN.
    `Future<Response>` | `time()` | Return the current server time.
    `Future<Response>` | `timeseriesClusterset​(List<String> args)` | Redis command TIMESERIES.CLUSTERSET.
    `Future<Response>` | `timeseriesClustersetfromshard​(List<String> args)` | Redis command TIMESERIES.CLUSTERSETFROMSHARD.
    `Future<Response>` | `timeseriesHello​(List<String> args)` | Redis command TIMESERIES.HELLO.
    `Future<Response>` | `timeseriesInfocluster​(List<String> args)` | Redis command TIMESERIES.INFOCLUSTER.
    `Future<Response>` | `timeseriesInnercommunication​(List<String> args)` | Redis command TIMESERIES.INNERCOMMUNICATION.
    `Future<Response>` | `timeseriesNetworktest​(List<String> args)` | Redis command TIMESERIES.NETWORKTEST.
    `Future<Response>` | `timeseriesRefreshcluster​(List<String> args)` | Redis command TIMESERIES.REFRESHCLUSTER.
    `Future<Response>` | `topkAdd​(List<String> args)` | Redis command TOPK.ADD.
    `Future<Response>` | `topkCount​(List<String> args)` | Redis command TOPK.COUNT.
    `Future<Response>` | `topkIncrby​(List<String> args)` | Redis command TOPK.INCRBY.
    `Future<Response>` | `topkInfo​(List<String> args)` | Redis command TOPK.INFO.
    `Future<Response>` | `topkList​(List<String> args)` | Redis command TOPK.LIST.
    `Future<Response>` | `topkQuery​(List<String> args)` | Redis command TOPK.QUERY.
    `Future<Response>` | `topkReserve​(List<String> args)` | Redis command TOPK.RESERVE.
    `String` | `toString()` |
    `Future<Response>` | `touch​(List<String> args)` | Alters the last access time of a key(s).
    `Future<Response>` | `tsAdd​(List<String> args)` | Redis command TS.ADD.
    `Future<Response>` | `tsAlter​(List<String> args)` | Redis command TS.ALTER.
    `Future<Response>` | `tsCreate​(List<String> args)` | Redis command TS.CREATE.
    `Future<Response>` | `tsCreaterule​(List<String> args)` | Redis command TS.CREATERULE.
    `Future<Response>` | `tsDecrby​(List<String> args)` | Redis command TS.DECRBY.
    `Future<Response>` | `tsDel​(List<String> args)` | Redis command TS.DEL.
    `Future<Response>` | `tsDeleterule​(List<String> args)` | Redis command TS.DELETERULE.
    `Future<Response>` | `tsGet​(List<String> args)` | Redis command TS.GET.
    `Future<Response>` | `tsIncrby​(List<String> args)` | Redis command TS.INCRBY.
    `Future<Response>` | `tsInfo​(List<String> args)` | Redis command TS.INFO.
    `Future<Response>` | `tsMadd​(List<String> args)` | Redis command TS.MADD.
    `Future<Response>` | `tsMget​(List<String> args)` | Redis command TS.MGET.
    `Future<Response>` | `tsMrange​(List<String> args)` | Redis command TS.MRANGE.
    `Future<Response>` | `tsMrevrange​(List<String> args)` | Redis command TS.MREVRANGE.
    `Future<Response>` | `tsQueryindex​(List<String> args)` | Redis command TS.QUERYINDEX.
    `Future<Response>` | `tsRange​(List<String> args)` | Redis command TS.RANGE.
    `Future<Response>` | `tsRevrange​(List<String> args)` | Redis command TS.REVRANGE.
    `Future<Response>` | `ttl​(String arg0)` | Get the time to live for a key in seconds.
    `Future<Response>` | `type​(String arg0)` | Determine the type stored at key.
    `Future<Response>` | `unlink​(List<String> args)` | Delete a key asynchronously in another thread.
    `Future<Response>` | `unsubscribe​(List<String> args)` | Stop listening for messages posted to the given channels.
    `Future<Response>` | `unwatch()` | Forget about all watched keys.
    `Future<Response>` | `wait​(String arg0, String arg1)` | Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `Future<Response>` | `watch​(List<String> args)` | Watch the given keys to determine execution of the MULTI/EXEC block.
    `Future<Response>` | `xack​(List<String> args)` | Marks a pending message as correctly processed, effectively removing it from the pending entries list of the consumer group.
    `Future<Response>` | `xadd​(List<String> args)` | Appends a new entry to a stream.
    `Future<Response>` | `xautoclaim​(List<String> args)` | Changes (or acquires) ownership of messages in a consumer group, as if the messages were delivered to the specified consumer.
    `Future<Response>` | `xclaim​(List<String> args)` | Changes (or acquires) ownership of a message in a consumer group, as if the message was delivered to the specified consumer.
    `Future<Response>` | `xdel​(List<String> args)` | Removes the specified entries from the stream.
    `Future<Response>` | `xgroup​(List<String> args)` | A container for consumer groups commands.
    `Future<Response>` | `xinfo​(List<String> args)` | A container for stream introspection commands.
    `Future<Response>` | `xlen​(String arg0)` | Return the number of entries in a stream.
    `Future<Response>` | `xpending​(List<String> args)` | Return information and entries from a stream consumer group pending entries list, that are messages fetched but never acknowledged.
    `Future<Response>` | `xrange​(List<String> args)` | Return a range of elements in a stream, with IDs matching the specified IDs interval.
    `Future<Response>` | `xread​(List<String> args)` | Return never seen elements in multiple streams, with IDs greater than the ones reported by the caller for each stream.
    `Future<Response>` | `xreadgroup​(List<String> args)` | Return new entries from a stream using a consumer group, or access the history of the pending entries for a given consumer.
    `Future<Response>` | `xrevrange​(List<String> args)` | Return a range of elements in a stream, with IDs matching the specified IDs interval, in reverse order (from greater to smaller IDs) compared to XRANGE.
    `Future<Response>` | `xsetid​(List<String> args)` | An internal command for replicating stream values.
    `Future<Response>` | `xtrim​(List<String> args)` | Trims the stream to (approximately if '~' is passed) a certain size.
    `Future<Response>` | `zadd​(List<String> args)` | Add one or more members to a sorted set, or update its score if it already exists.
    `Future<Response>` | `zcard​(String arg0)` | Get the number of members in a sorted set.
    `Future<Response>` | `zcount​(String arg0, String arg1, String arg2)` | Count the members in a sorted set with scores within the given values.
    `Future<Response>` | `zdiff​(List<String> args)` | Subtract multiple sorted sets.
    `Future<Response>` | `zdiffstore​(List<String> args)` | Subtract multiple sorted sets and store the resulting sorted set in a new key.
    `Future<Response>` | `zincrby​(String arg0, String arg1, String arg2)` | Increment the score of a member in a sorted set.
    `Future<Response>` | `zinter​(List<String> args)` | Intersect multiple sorted sets.
    `Future<Response>` | `zintercard​(List<String> args)` | Intersect multiple sorted sets and return the cardinality of the result.
    `Future<Response>` | `zinterstore​(List<String> args)` | Intersect multiple sorted sets and store the resulting sorted set in a new key.
    `Future<Response>` | `zlexcount​(String arg0, String arg1, String arg2)` | Count the number of members in a sorted set between a given lexicographical range.
    `Future<Response>` | `zmpop​(List<String> args)` | Remove and return members with scores in a sorted set.
    `Future<Response>` | `zmscore​(List<String> args)` | Get the score associated with the given members in a sorted set.
    `Future<Response>` | `zpopmax​(List<String> args)` | Remove and return members with the highest scores in a sorted set.
    `Future<Response>` | `zpopmin​(List<String> args)` | Remove and return members with the lowest scores in a sorted set.
    `Future<Response>` | `zrandmember​(List<String> args)` | Get one or multiple random elements from a sorted set.
    `Future<Response>` | `zrange​(List<String> args)` | Return a range of members in a sorted set.
    `Future<Response>` | `zrangebylex​(List<String> args)` | Deprecated.
    `Future<Response>` | `zrangebyscore​(List<String> args)` | Deprecated.
    `Future<Response>` | `zrangestore​(List<String> args)` | Store a range of members from sorted set into another key.
    `Future<Response>` | `zrank​(String arg0, String arg1)` | Determine the index of a member in a sorted set.
    `Future<Response>` | `zrem​(List<String> args)` | Remove one or more members from a sorted set.
    `Future<Response>` | `zremrangebylex​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set between the given lexicographical range.
    `Future<Response>` | `zremrangebyrank​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set within the given indexes.
    `Future<Response>` | `zremrangebyscore​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set within the given scores.
    `Future<Response>` | `zrevrange​(List<String> args)` | Deprecated.
    `Future<Response>` | `zrevrangebylex​(List<String> args)` | Deprecated.
    `Future<Response>` | `zrevrangebyscore​(List<String> args)` | Deprecated.
    `Future<Response>` | `zrevrank​(String arg0, String arg1)` | Determine the index of a member in a sorted set, with scores ordered from high to low.
    `Future<Response>` | `zscan​(List<String> args)` | Incrementally iterate sorted sets elements and associated scores.
    `Future<Response>` | `zscore​(String arg0, String arg1)` | Get the score associated with the given member in a sorted set.
    `Future<Response>` | `zunion​(List<String> args)` | Add multiple sorted sets.
    `Future<Response>` | `zunionstore​(List<String> args)` | Add multiple sorted sets and store the resulting sorted set in a new key.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedisAPI> __TYPE_ARG

  - ### Constructor Detail

    - #### RedisAPI

          public RedisAPI​(RedisAPI delegate)

    - #### RedisAPI

          public RedisAPI​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedisAPI getDelegate()

    - #### close

          public void close()

    - #### ftAdd

          public Future<Response> ftAdd​(List<String> args)

      Redis command FT.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAdd

          public Single<Response> rxFtAdd​(List<String> args)

      Redis command FT.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftAggregate

          public Future<Response> ftAggregate​(List<String> args)

      Redis command FT.AGGREGATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAggregate

          public Single<Response> rxFtAggregate​(List<String> args)

      Redis command FT.AGGREGATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftAliasadd

          public Future<Response> ftAliasadd​(List<String> args)

      Redis command FT.ALIASADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAliasadd

          public Single<Response> rxFtAliasadd​(List<String> args)

      Redis command FT.ALIASADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftAliasdel

          public Future<Response> ftAliasdel​(List<String> args)

      Redis command FT.ALIASDEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAliasdel

          public Single<Response> rxFtAliasdel​(List<String> args)

      Redis command FT.ALIASDEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftAliasupdate

          public Future<Response> ftAliasupdate​(List<String> args)

      Redis command FT.ALIASUPDATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAliasupdate

          public Single<Response> rxFtAliasupdate​(List<String> args)

      Redis command FT.ALIASUPDATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftAlter

          public Future<Response> ftAlter​(List<String> args)

      Redis command FT.ALTER.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAlter

          public Single<Response> rxFtAlter​(List<String> args)

      Redis command FT.ALTER.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftConfig

          public Future<Response> ftConfig​(List<String> args)

      Redis command FT.CONFIG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtConfig

          public Single<Response> rxFtConfig​(List<String> args)

      Redis command FT.CONFIG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftCreate

          public Future<Response> ftCreate​(List<String> args)

      Redis command FT.CREATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtCreate

          public Single<Response> rxFtCreate​(List<String> args)

      Redis command FT.CREATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftCursor

          public Future<Response> ftCursor​(List<String> args)

      Redis command FT.CURSOR.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtCursor

          public Single<Response> rxFtCursor​(List<String> args)

      Redis command FT.CURSOR.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDebug

          public Future<Response> ftDebug​(List<String> args)

      Redis command FT.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDebug

          public Single<Response> rxFtDebug​(List<String> args)

      Redis command FT.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDel

          public Future<Response> ftDel​(List<String> args)

      Redis command FT.DEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDel

          public Single<Response> rxFtDel​(List<String> args)

      Redis command FT.DEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDictadd

          public Future<Response> ftDictadd​(List<String> args)

      Redis command FT.DICTADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDictadd

          public Single<Response> rxFtDictadd​(List<String> args)

      Redis command FT.DICTADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDictdel

          public Future<Response> ftDictdel​(List<String> args)

      Redis command FT.DICTDEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDictdel

          public Single<Response> rxFtDictdel​(List<String> args)

      Redis command FT.DICTDEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDictdump

          public Future<Response> ftDictdump​(List<String> args)

      Redis command FT.DICTDUMP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDictdump

          public Single<Response> rxFtDictdump​(List<String> args)

      Redis command FT.DICTDUMP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDrop

          public Future<Response> ftDrop​(List<String> args)

      Redis command FT.DROP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDrop

          public Single<Response> rxFtDrop​(List<String> args)

      Redis command FT.DROP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDropindex

          public Future<Response> ftDropindex​(List<String> args)

      Redis command FT.DROPINDEX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDropindex

          public Single<Response> rxFtDropindex​(List<String> args)

      Redis command FT.DROPINDEX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftExplain

          public Future<Response> ftExplain​(List<String> args)

      Redis command FT.EXPLAIN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtExplain

          public Single<Response> rxFtExplain​(List<String> args)

      Redis command FT.EXPLAIN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftExplaincli

          public Future<Response> ftExplaincli​(List<String> args)

      Redis command FT.EXPLAINCLI.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtExplaincli

          public Single<Response> rxFtExplaincli​(List<String> args)

      Redis command FT.EXPLAINCLI.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftGet

          public Future<Response> ftGet​(List<String> args)

      Redis command FT.GET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtGet

          public Single<Response> rxFtGet​(List<String> args)

      Redis command FT.GET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftInfo

          public Future<Response> ftInfo​(List<String> args)

      Redis command FT.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtInfo

          public Single<Response> rxFtInfo​(List<String> args)

      Redis command FT.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftMget

          public Future<Response> ftMget​(List<String> args)

      Redis command FT.MGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtMget

          public Single<Response> rxFtMget​(List<String> args)

      Redis command FT.MGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftProfile

          public Future<Response> ftProfile​(List<String> args)

      Redis command FT.PROFILE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtProfile

          public Single<Response> rxFtProfile​(List<String> args)

      Redis command FT.PROFILE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSafeadd

          public Future<Response> ftSafeadd​(List<String> args)

      Redis command FT.SAFEADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSafeadd

          public Single<Response> rxFtSafeadd​(List<String> args)

      Redis command FT.SAFEADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSearch

          public Future<Response> ftSearch​(List<String> args)

      Redis command FT.SEARCH.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSearch

          public Single<Response> rxFtSearch​(List<String> args)

      Redis command FT.SEARCH.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSpellcheck

          public Future<Response> ftSpellcheck​(List<String> args)

      Redis command FT.SPELLCHECK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSpellcheck

          public Single<Response> rxFtSpellcheck​(List<String> args)

      Redis command FT.SPELLCHECK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSugadd

          public Future<Response> ftSugadd​(List<String> args)

      Redis command FT.SUGADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSugadd

          public Single<Response> rxFtSugadd​(List<String> args)

      Redis command FT.SUGADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSugdel

          public Future<Response> ftSugdel​(List<String> args)

      Redis command FT.SUGDEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSugdel

          public Single<Response> rxFtSugdel​(List<String> args)

      Redis command FT.SUGDEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSugget

          public Future<Response> ftSugget​(List<String> args)

      Redis command FT.SUGGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSugget

          public Single<Response> rxFtSugget​(List<String> args)

      Redis command FT.SUGGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSuglen

          public Future<Response> ftSuglen​(List<String> args)

      Redis command FT.SUGLEN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSuglen

          public Single<Response> rxFtSuglen​(List<String> args)

      Redis command FT.SUGLEN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSynadd

          public Future<Response> ftSynadd​(List<String> args)

      Redis command FT.SYNADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSynadd

          public Single<Response> rxFtSynadd​(List<String> args)

      Redis command FT.SYNADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSyndump

          public Future<Response> ftSyndump​(List<String> args)

      Redis command FT.SYNDUMP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSyndump

          public Single<Response> rxFtSyndump​(List<String> args)

      Redis command FT.SYNDUMP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftSynupdate

          public Future<Response> ftSynupdate​(List<String> args)

      Redis command FT.SYNUPDATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtSynupdate

          public Single<Response> rxFtSynupdate​(List<String> args)

      Redis command FT.SYNUPDATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftTagvals

          public Future<Response> ftTagvals​(List<String> args)

      Redis command FT.TAGVALS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtTagvals

          public Single<Response> rxFtTagvals​(List<String> args)

      Redis command FT.TAGVALS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftAliasaddifnx

          public Future<Response> ftAliasaddifnx​(List<String> args)

      Redis command FT._ALIASADDIFNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAliasaddifnx

          public Single<Response> rxFtAliasaddifnx​(List<String> args)

      Redis command FT._ALIASADDIFNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftAliasdelifx

          public Future<Response> ftAliasdelifx​(List<String> args)

      Redis command FT._ALIASDELIFX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAliasdelifx

          public Single<Response> rxFtAliasdelifx​(List<String> args)

      Redis command FT._ALIASDELIFX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftAlterifnx

          public Future<Response> ftAlterifnx​(List<String> args)

      Redis command FT._ALTERIFNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtAlterifnx

          public Single<Response> rxFtAlterifnx​(List<String> args)

      Redis command FT._ALTERIFNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftCreateifnx

          public Future<Response> ftCreateifnx​(List<String> args)

      Redis command FT._CREATEIFNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtCreateifnx

          public Single<Response> rxFtCreateifnx​(List<String> args)

      Redis command FT._CREATEIFNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDropifx

          public Future<Response> ftDropifx​(List<String> args)

      Redis command FT._DROPIFX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDropifx

          public Single<Response> rxFtDropifx​(List<String> args)

      Redis command FT._DROPIFX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftDropindexifx

          public Future<Response> ftDropindexifx​(List<String> args)

      Redis command FT._DROPINDEXIFX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtDropindexifx

          public Single<Response> rxFtDropindexifx​(List<String> args)

      Redis command FT._DROPINDEXIFX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ftList

          public Future<Response> ftList​(List<String> args)

      Redis command FT._LIST.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFtList

          public Single<Response> rxFtList​(List<String> args)

      Redis command FT._LIST.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### acl

          public Future<Response> acl​(List<String> args)

      A container for Access List Control commands.

      Redis command ACL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxAcl

          public Single<Response> rxAcl​(List<String> args)

      A container for Access List Control commands.

      Redis command ACL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### append

          public Future<Response> append​(String arg0,
                                         String arg1)

      Append a value to a key.

      Redis command APPEND.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxAppend

          public Single<Response> rxAppend​(String arg0,
                                           String arg1)

      Append a value to a key.

      Redis command APPEND.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### asking

          public Future<Response> asking()

      Sent by cluster clients after an -ASK redirect.

      Redis command ASKING.

      Returns:
        Future response.

    - #### rxAsking

          public Single<Response> rxAsking()

      Sent by cluster clients after an -ASK redirect.

      Redis command ASKING.

      Returns:
        Future response.

    - #### auth

          public Future<Response> auth​(List<String> args)

      Authenticate to the server.

      Redis command AUTH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxAuth

          public Single<Response> rxAuth​(List<String> args)

      Authenticate to the server.

      Redis command AUTH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfAdd

          public Future<Response> bfAdd​(List<String> args)

      Redis command BF.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfAdd

          public Single<Response> rxBfAdd​(List<String> args)

      Redis command BF.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfCard

          public Future<Response> bfCard​(List<String> args)

      Redis command BF.CARD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfCard

          public Single<Response> rxBfCard​(List<String> args)

      Redis command BF.CARD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfDebug

          public Future<Response> bfDebug​(List<String> args)

      Redis command BF.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfDebug

          public Single<Response> rxBfDebug​(List<String> args)

      Redis command BF.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfExists

          public Future<Response> bfExists​(List<String> args)

      Redis command BF.EXISTS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfExists

          public Single<Response> rxBfExists​(List<String> args)

      Redis command BF.EXISTS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfInfo

          public Future<Response> bfInfo​(List<String> args)

      Redis command BF.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfInfo

          public Single<Response> rxBfInfo​(List<String> args)

      Redis command BF.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfInsert

          public Future<Response> bfInsert​(List<String> args)

      Redis command BF.INSERT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfInsert

          public Single<Response> rxBfInsert​(List<String> args)

      Redis command BF.INSERT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfLoadchunk

          public Future<Response> bfLoadchunk​(List<String> args)

      Redis command BF.LOADCHUNK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfLoadchunk

          public Single<Response> rxBfLoadchunk​(List<String> args)

      Redis command BF.LOADCHUNK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfMadd

          public Future<Response> bfMadd​(List<String> args)

      Redis command BF.MADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfMadd

          public Single<Response> rxBfMadd​(List<String> args)

      Redis command BF.MADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfMexists

          public Future<Response> bfMexists​(List<String> args)

      Redis command BF.MEXISTS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfMexists

          public Single<Response> rxBfMexists​(List<String> args)

      Redis command BF.MEXISTS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfReserve

          public Future<Response> bfReserve​(List<String> args)

      Redis command BF.RESERVE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfReserve

          public Single<Response> rxBfReserve​(List<String> args)

      Redis command BF.RESERVE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bfScandump

          public Future<Response> bfScandump​(List<String> args)

      Redis command BF.SCANDUMP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBfScandump

          public Single<Response> rxBfScandump​(List<String> args)

      Redis command BF.SCANDUMP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bgrewriteaof

          public Future<Response> bgrewriteaof()

      Asynchronously rewrite the append-only file.

      Redis command BGREWRITEAOF.

      Returns:
        Future response.

    - #### rxBgrewriteaof

          public Single<Response> rxBgrewriteaof()

      Asynchronously rewrite the append-only file.

      Redis command BGREWRITEAOF.

      Returns:
        Future response.

    - #### bgsave

          public Future<Response> bgsave​(List<String> args)

      Asynchronously save the dataset to disk.

      Redis command BGSAVE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBgsave

          public Single<Response> rxBgsave​(List<String> args)

      Asynchronously save the dataset to disk.

      Redis command BGSAVE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bitcount

          public Future<Response> bitcount​(List<String> args)

      Count set bits in a string.

      Redis command BITCOUNT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBitcount

          public Single<Response> rxBitcount​(List<String> args)

      Count set bits in a string.

      Redis command BITCOUNT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bitfield

          public Future<Response> bitfield​(List<String> args)

      Perform arbitrary bitfield integer operations on strings.

      Redis command BITFIELD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBitfield

          public Single<Response> rxBitfield​(List<String> args)

      Perform arbitrary bitfield integer operations on strings.

      Redis command BITFIELD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bitfieldRo

          public Future<Response> bitfieldRo​(List<String> args)

      Perform arbitrary bitfield integer operations on strings. Read-only variant of BITFIELD.

      Redis command BITFIELD_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBitfieldRo

          public Single<Response> rxBitfieldRo​(List<String> args)

      Perform arbitrary bitfield integer operations on strings. Read-only variant of BITFIELD.

      Redis command BITFIELD_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bitop

          public Future<Response> bitop​(List<String> args)

      Perform bitwise operations between strings.

      Redis command BITOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBitop

          public Single<Response> rxBitop​(List<String> args)

      Perform bitwise operations between strings.

      Redis command BITOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bitpos

          public Future<Response> bitpos​(List<String> args)

      Find first bit set or clear in a string.

      Redis command BITPOS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBitpos

          public Single<Response> rxBitpos​(List<String> args)

      Find first bit set or clear in a string.

      Redis command BITPOS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### blmove

          public Future<Response> blmove​(String arg0,
                                         String arg1,
                                         String arg2,
                                         String arg3,
                                         String arg4)

      Pop an element from a list, push it to another list and return it; or block until one is available.

      Redis command BLMOVE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
        `arg4` -
      Returns:
        Future response.

    - #### rxBlmove

          public Single<Response> rxBlmove​(String arg0,
                                           String arg1,
                                           String arg2,
                                           String arg3,
                                           String arg4)

      Pop an element from a list, push it to another list and return it; or block until one is available.

      Redis command BLMOVE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
        `arg4` -
      Returns:
        Future response.

    - #### blmpop

          public Future<Response> blmpop​(List<String> args)

      Pop elements from a list, or block until one is available.

      Redis command BLMPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBlmpop

          public Single<Response> rxBlmpop​(List<String> args)

      Pop elements from a list, or block until one is available.

      Redis command BLMPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### blpop

          public Future<Response> blpop​(List<String> args)

      Remove and get the first element in a list, or block until one is available.

      Redis command BLPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBlpop

          public Single<Response> rxBlpop​(List<String> args)

      Remove and get the first element in a list, or block until one is available.

      Redis command BLPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### brpop

          public Future<Response> brpop​(List<String> args)

      Remove and get the last element in a list, or block until one is available.

      Redis command BRPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBrpop

          public Single<Response> rxBrpop​(List<String> args)

      Remove and get the last element in a list, or block until one is available.

      Redis command BRPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### brpoplpush

          @Deprecated
          public Future<Response> brpoplpush​(String arg0,
                                             String arg1,
                                             String arg2)

      Deprecated.
      Pop an element from a list, push it to another list and return it; or block until one is available.

      Redis command BRPOPLPUSH.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxBrpoplpush

          @Deprecated
          public Single<Response> rxBrpoplpush​(String arg0,
                                               String arg1,
                                               String arg2)

      Deprecated.
      Pop an element from a list, push it to another list and return it; or block until one is available.

      Redis command BRPOPLPUSH.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### bzmpop

          public Future<Response> bzmpop​(List<String> args)

      Remove and return members with scores in a sorted set or block until one is available.

      Redis command BZMPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBzmpop

          public Single<Response> rxBzmpop​(List<String> args)

      Remove and return members with scores in a sorted set or block until one is available.

      Redis command BZMPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bzpopmax

          public Future<Response> bzpopmax​(List<String> args)

      Remove and return the member with the highest score from one or more sorted sets, or block until one is available.

      Redis command BZPOPMAX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBzpopmax

          public Single<Response> rxBzpopmax​(List<String> args)

      Remove and return the member with the highest score from one or more sorted sets, or block until one is available.

      Redis command BZPOPMAX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### bzpopmin

          public Future<Response> bzpopmin​(List<String> args)

      Remove and return the member with the lowest score from one or more sorted sets, or block until one is available.

      Redis command BZPOPMIN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxBzpopmin

          public Single<Response> rxBzpopmin​(List<String> args)

      Remove and return the member with the lowest score from one or more sorted sets, or block until one is available.

      Redis command BZPOPMIN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfAdd

          public Future<Response> cfAdd​(List<String> args)

      Redis command CF.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfAdd

          public Single<Response> rxCfAdd​(List<String> args)

      Redis command CF.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfAddnx

          public Future<Response> cfAddnx​(List<String> args)

      Redis command CF.ADDNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfAddnx

          public Single<Response> rxCfAddnx​(List<String> args)

      Redis command CF.ADDNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfCompact

          public Future<Response> cfCompact​(List<String> args)

      Redis command CF.COMPACT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfCompact

          public Single<Response> rxCfCompact​(List<String> args)

      Redis command CF.COMPACT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfCount

          public Future<Response> cfCount​(List<String> args)

      Redis command CF.COUNT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfCount

          public Single<Response> rxCfCount​(List<String> args)

      Redis command CF.COUNT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfDebug

          public Future<Response> cfDebug​(List<String> args)

      Redis command CF.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfDebug

          public Single<Response> rxCfDebug​(List<String> args)

      Redis command CF.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfDel

          public Future<Response> cfDel​(List<String> args)

      Redis command CF.DEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfDel

          public Single<Response> rxCfDel​(List<String> args)

      Redis command CF.DEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfExists

          public Future<Response> cfExists​(List<String> args)

      Redis command CF.EXISTS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfExists

          public Single<Response> rxCfExists​(List<String> args)

      Redis command CF.EXISTS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfInfo

          public Future<Response> cfInfo​(List<String> args)

      Redis command CF.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfInfo

          public Single<Response> rxCfInfo​(List<String> args)

      Redis command CF.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfInsert

          public Future<Response> cfInsert​(List<String> args)

      Redis command CF.INSERT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfInsert

          public Single<Response> rxCfInsert​(List<String> args)

      Redis command CF.INSERT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfInsertnx

          public Future<Response> cfInsertnx​(List<String> args)

      Redis command CF.INSERTNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfInsertnx

          public Single<Response> rxCfInsertnx​(List<String> args)

      Redis command CF.INSERTNX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfLoadchunk

          public Future<Response> cfLoadchunk​(List<String> args)

      Redis command CF.LOADCHUNK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfLoadchunk

          public Single<Response> rxCfLoadchunk​(List<String> args)

      Redis command CF.LOADCHUNK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfMexists

          public Future<Response> cfMexists​(List<String> args)

      Redis command CF.MEXISTS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfMexists

          public Single<Response> rxCfMexists​(List<String> args)

      Redis command CF.MEXISTS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfReserve

          public Future<Response> cfReserve​(List<String> args)

      Redis command CF.RESERVE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfReserve

          public Single<Response> rxCfReserve​(List<String> args)

      Redis command CF.RESERVE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cfScandump

          public Future<Response> cfScandump​(List<String> args)

      Redis command CF.SCANDUMP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCfScandump

          public Single<Response> rxCfScandump​(List<String> args)

      Redis command CF.SCANDUMP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### client

          public Future<Response> client​(List<String> args)

      A container for client connection commands.

      Redis command CLIENT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxClient

          public Single<Response> rxClient​(List<String> args)

      A container for client connection commands.

      Redis command CLIENT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cluster

          public Future<Response> cluster​(List<String> args)

      A container for cluster commands.

      Redis command CLUSTER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCluster

          public Single<Response> rxCluster​(List<String> args)

      A container for cluster commands.

      Redis command CLUSTER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cmsIncrby

          public Future<Response> cmsIncrby​(List<String> args)

      Redis command CMS.INCRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCmsIncrby

          public Single<Response> rxCmsIncrby​(List<String> args)

      Redis command CMS.INCRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cmsInfo

          public Future<Response> cmsInfo​(List<String> args)

      Redis command CMS.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCmsInfo

          public Single<Response> rxCmsInfo​(List<String> args)

      Redis command CMS.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cmsInitbydim

          public Future<Response> cmsInitbydim​(List<String> args)

      Redis command CMS.INITBYDIM.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCmsInitbydim

          public Single<Response> rxCmsInitbydim​(List<String> args)

      Redis command CMS.INITBYDIM.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cmsInitbyprob

          public Future<Response> cmsInitbyprob​(List<String> args)

      Redis command CMS.INITBYPROB.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCmsInitbyprob

          public Single<Response> rxCmsInitbyprob​(List<String> args)

      Redis command CMS.INITBYPROB.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cmsMerge

          public Future<Response> cmsMerge​(List<String> args)

      Redis command CMS.MERGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCmsMerge

          public Single<Response> rxCmsMerge​(List<String> args)

      Redis command CMS.MERGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### cmsQuery

          public Future<Response> cmsQuery​(List<String> args)

      Redis command CMS.QUERY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCmsQuery

          public Single<Response> rxCmsQuery​(List<String> args)

      Redis command CMS.QUERY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### command

          public Future<Response> command​(List<String> args)

      Get array of Redis command details.

      Redis command COMMAND.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCommand

          public Single<Response> rxCommand​(List<String> args)

      Get array of Redis command details.

      Redis command COMMAND.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### config

          public Future<Response> config​(List<String> args)

      A container for server configuration commands.

      Redis command CONFIG.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxConfig

          public Single<Response> rxConfig​(List<String> args)

      A container for server configuration commands.

      Redis command CONFIG.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### copy

          public Future<Response> copy​(List<String> args)

      Copy a key.

      Redis command COPY.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxCopy

          public Single<Response> rxCopy​(List<String> args)

      Copy a key.

      Redis command COPY.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### dbsize

          public Future<Response> dbsize()

      Return the number of keys in the selected database.

      Redis command DBSIZE.

      Returns:
        Future response.

    - #### rxDbsize

          public Single<Response> rxDbsize()

      Return the number of keys in the selected database.

      Redis command DBSIZE.

      Returns:
        Future response.

    - #### debug

          public Future<Response> debug​(List<String> args)

      A container for debugging commands.

      Redis command DEBUG.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxDebug

          public Single<Response> rxDebug​(List<String> args)

      A container for debugging commands.

      Redis command DEBUG.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### decr

          public Future<Response> decr​(String arg0)

      Decrement the integer value of a key by one.

      Redis command DECR.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxDecr

          public Single<Response> rxDecr​(String arg0)

      Decrement the integer value of a key by one.

      Redis command DECR.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### decrby

          public Future<Response> decrby​(String arg0,
                                         String arg1)

      Decrement the integer value of a key by the given number.

      Redis command DECRBY.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxDecrby

          public Single<Response> rxDecrby​(String arg0,
                                           String arg1)

      Decrement the integer value of a key by the given number.

      Redis command DECRBY.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### del

          public Future<Response> del​(List<String> args)

      Delete a key.

      Redis command DEL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxDel

          public Single<Response> rxDel​(List<String> args)

      Delete a key.

      Redis command DEL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### discard

          public Future<Response> discard()

      Discard all commands issued after MULTI.

      Redis command DISCARD.

      Returns:
        Future response.

    - #### rxDiscard

          public Single<Response> rxDiscard()

      Discard all commands issued after MULTI.

      Redis command DISCARD.

      Returns:
        Future response.

    - #### dump

          public Future<Response> dump​(String arg0)

      Return a serialized version of the value stored at the specified key.

      Redis command DUMP.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxDump

          public Single<Response> rxDump​(String arg0)

      Return a serialized version of the value stored at the specified key.

      Redis command DUMP.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### echo

          public Future<Response> echo​(String arg0)

      Echo the given string.

      Redis command ECHO.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxEcho

          public Single<Response> rxEcho​(String arg0)

      Echo the given string.

      Redis command ECHO.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### eval

          public Future<Response> eval​(List<String> args)

      Execute a Lua script server side.

      Redis command EVAL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxEval

          public Single<Response> rxEval​(List<String> args)

      Execute a Lua script server side.

      Redis command EVAL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### evalRo

          public Future<Response> evalRo​(List<String> args)

      Execute a read-only Lua script server side.

      Redis command EVAL_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxEvalRo

          public Single<Response> rxEvalRo​(List<String> args)

      Execute a read-only Lua script server side.

      Redis command EVAL_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### evalsha

          public Future<Response> evalsha​(List<String> args)

      Execute a Lua script server side.

      Redis command EVALSHA.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxEvalsha

          public Single<Response> rxEvalsha​(List<String> args)

      Execute a Lua script server side.

      Redis command EVALSHA.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### evalshaRo

          public Future<Response> evalshaRo​(List<String> args)

      Execute a read-only Lua script server side.

      Redis command EVALSHA_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxEvalshaRo

          public Single<Response> rxEvalshaRo​(List<String> args)

      Execute a read-only Lua script server side.

      Redis command EVALSHA_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### exec

          public Future<Response> exec()

      Execute all commands issued after MULTI.

      Redis command EXEC.

      Returns:
        Future response.

    - #### rxExec

          public Single<Response> rxExec()

      Execute all commands issued after MULTI.

      Redis command EXEC.

      Returns:
        Future response.

    - #### exists

          public Future<Response> exists​(List<String> args)

      Determine if a key exists.

      Redis command EXISTS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxExists

          public Single<Response> rxExists​(List<String> args)

      Determine if a key exists.

      Redis command EXISTS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### expire

          public Future<Response> expire​(List<String> args)

      Set a key's time to live in seconds.

      Redis command EXPIRE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxExpire

          public Single<Response> rxExpire​(List<String> args)

      Set a key's time to live in seconds.

      Redis command EXPIRE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### expireat

          public Future<Response> expireat​(List<String> args)

      Set the expiration for a key as a UNIX timestamp.

      Redis command EXPIREAT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxExpireat

          public Single<Response> rxExpireat​(List<String> args)

      Set the expiration for a key as a UNIX timestamp.

      Redis command EXPIREAT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### expiretime

          public Future<Response> expiretime​(String arg0)

      Get the expiration Unix timestamp for a key.

      Redis command EXPIRETIME.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxExpiretime

          public Single<Response> rxExpiretime​(String arg0)

      Get the expiration Unix timestamp for a key.

      Redis command EXPIRETIME.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### failover

          public Future<Response> failover​(List<String> args)

      Start a coordinated failover between this server and one of its replicas.

      Redis command FAILOVER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFailover

          public Single<Response> rxFailover​(List<String> args)

      Start a coordinated failover between this server and one of its replicas.

      Redis command FAILOVER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### fcall

          public Future<Response> fcall​(List<String> args)

      Invoke a function.

      Redis command FCALL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFcall

          public Single<Response> rxFcall​(List<String> args)

      Invoke a function.

      Redis command FCALL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### fcallRo

          public Future<Response> fcallRo​(List<String> args)

      Invoke a read-only function.

      Redis command FCALL_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFcallRo

          public Single<Response> rxFcallRo​(List<String> args)

      Invoke a read-only function.

      Redis command FCALL_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### flushall

          public Future<Response> flushall​(List<String> args)

      Remove all keys from all databases.

      Redis command FLUSHALL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFlushall

          public Single<Response> rxFlushall​(List<String> args)

      Remove all keys from all databases.

      Redis command FLUSHALL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### flushdb

          public Future<Response> flushdb​(List<String> args)

      Remove all keys from the current database.

      Redis command FLUSHDB.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFlushdb

          public Single<Response> rxFlushdb​(List<String> args)

      Remove all keys from the current database.

      Redis command FLUSHDB.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### function

          public Future<Response> function​(List<String> args)

      A container for function commands.

      Redis command FUNCTION.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxFunction

          public Single<Response> rxFunction​(List<String> args)

      A container for function commands.

      Redis command FUNCTION.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### geoadd

          public Future<Response> geoadd​(List<String> args)

      Add one or more geospatial items in the geospatial index represented using a sorted set.

      Redis command GEOADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeoadd

          public Single<Response> rxGeoadd​(List<String> args)

      Add one or more geospatial items in the geospatial index represented using a sorted set.

      Redis command GEOADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### geodist

          public Future<Response> geodist​(List<String> args)

      Returns the distance between two members of a geospatial index.

      Redis command GEODIST.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeodist

          public Single<Response> rxGeodist​(List<String> args)

      Returns the distance between two members of a geospatial index.

      Redis command GEODIST.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### geohash

          public Future<Response> geohash​(List<String> args)

      Returns members of a geospatial index as standard geohash strings.

      Redis command GEOHASH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeohash

          public Single<Response> rxGeohash​(List<String> args)

      Returns members of a geospatial index as standard geohash strings.

      Redis command GEOHASH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### geopos

          public Future<Response> geopos​(List<String> args)

      Returns longitude and latitude of members of a geospatial index.

      Redis command GEOPOS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeopos

          public Single<Response> rxGeopos​(List<String> args)

      Returns longitude and latitude of members of a geospatial index.

      Redis command GEOPOS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### georadius

          @Deprecated
          public Future<Response> georadius​(List<String> args)

      Deprecated.
      Query a sorted set representing a geospatial index to fetch members matching a given maximum distance from a point.

      Redis command GEORADIUS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeoradius

          @Deprecated
          public Single<Response> rxGeoradius​(List<String> args)

      Deprecated.
      Query a sorted set representing a geospatial index to fetch members matching a given maximum distance from a point.

      Redis command GEORADIUS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### georadiusRo

          @Deprecated
          public Future<Response> georadiusRo​(List<String> args)

      Deprecated.
      A read-only variant for GEORADIUS.

      Redis command GEORADIUS_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeoradiusRo

          @Deprecated
          public Single<Response> rxGeoradiusRo​(List<String> args)

      Deprecated.
      A read-only variant for GEORADIUS.

      Redis command GEORADIUS_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### georadiusbymember

          @Deprecated
          public Future<Response> georadiusbymember​(List<String> args)

      Deprecated.
      Query a sorted set representing a geospatial index to fetch members matching a given maximum distance from a member.

      Redis command GEORADIUSBYMEMBER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeoradiusbymember

          @Deprecated
          public Single<Response> rxGeoradiusbymember​(List<String> args)

      Deprecated.
      Query a sorted set representing a geospatial index to fetch members matching a given maximum distance from a member.

      Redis command GEORADIUSBYMEMBER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### georadiusbymemberRo

          @Deprecated
          public Future<Response> georadiusbymemberRo​(List<String> args)

      Deprecated.
      A read-only variant for GEORADIUSBYMEMBER.

      Redis command GEORADIUSBYMEMBER_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeoradiusbymemberRo

          @Deprecated
          public Single<Response> rxGeoradiusbymemberRo​(List<String> args)

      Deprecated.
      A read-only variant for GEORADIUSBYMEMBER.

      Redis command GEORADIUSBYMEMBER_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### geosearch

          public Future<Response> geosearch​(List<String> args)

      Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle.

      Redis command GEOSEARCH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeosearch

          public Single<Response> rxGeosearch​(List<String> args)

      Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle.

      Redis command GEOSEARCH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### geosearchstore

          public Future<Response> geosearchstore​(List<String> args)

      Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle, and store the result in another key.

      Redis command GEOSEARCHSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGeosearchstore

          public Single<Response> rxGeosearchstore​(List<String> args)

      Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle, and store the result in another key.

      Redis command GEOSEARCHSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### get

          public Future<Response> get​(String arg0)

      Get the value of a key.

      Redis command GET.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxGet

          public Single<Response> rxGet​(String arg0)

      Get the value of a key.

      Redis command GET.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### getbit

          public Future<Response> getbit​(String arg0,
                                         String arg1)

      Returns the bit value at offset in the string value stored at key.

      Redis command GETBIT.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxGetbit

          public Single<Response> rxGetbit​(String arg0,
                                           String arg1)

      Returns the bit value at offset in the string value stored at key.

      Redis command GETBIT.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### getdel

          public Future<Response> getdel​(String arg0)

      Get the value of a key and delete the key.

      Redis command GETDEL.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxGetdel

          public Single<Response> rxGetdel​(String arg0)

      Get the value of a key and delete the key.

      Redis command GETDEL.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### getex

          public Future<Response> getex​(List<String> args)

      Get the value of a key and optionally set its expiration.

      Redis command GETEX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGetex

          public Single<Response> rxGetex​(List<String> args)

      Get the value of a key and optionally set its expiration.

      Redis command GETEX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### getrange

          public Future<Response> getrange​(String arg0,
                                           String arg1,
                                           String arg2)

      Get a substring of the string stored at a key.

      Redis command GETRANGE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxGetrange

          public Single<Response> rxGetrange​(String arg0,
                                             String arg1,
                                             String arg2)

      Get a substring of the string stored at a key.

      Redis command GETRANGE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### getset

          @Deprecated
          public Future<Response> getset​(String arg0,
                                         String arg1)

      Deprecated.
      Set the string value of a key and return its old value.

      Redis command GETSET.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxGetset

          @Deprecated
          public Single<Response> rxGetset​(String arg0,
                                           String arg1)

      Deprecated.
      Set the string value of a key and return its old value.

      Redis command GETSET.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### graphBulk

          public Future<Response> graphBulk​(List<String> args)

      Redis command GRAPH.BULK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphBulk

          public Single<Response> rxGraphBulk​(List<String> args)

      Redis command GRAPH.BULK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphConfig

          public Future<Response> graphConfig​(List<String> args)

      Redis command GRAPH.CONFIG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphConfig

          public Single<Response> rxGraphConfig​(List<String> args)

      Redis command GRAPH.CONFIG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphDebug

          public Future<Response> graphDebug​(List<String> args)

      Redis command GRAPH.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphDebug

          public Single<Response> rxGraphDebug​(List<String> args)

      Redis command GRAPH.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphDelete

          public Future<Response> graphDelete​(List<String> args)

      Redis command GRAPH.DELETE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphDelete

          public Single<Response> rxGraphDelete​(List<String> args)

      Redis command GRAPH.DELETE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphExplain

          public Future<Response> graphExplain​(List<String> args)

      Redis command GRAPH.EXPLAIN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphExplain

          public Single<Response> rxGraphExplain​(List<String> args)

      Redis command GRAPH.EXPLAIN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphList

          public Future<Response> graphList​(List<String> args)

      Redis command GRAPH.LIST.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphList

          public Single<Response> rxGraphList​(List<String> args)

      Redis command GRAPH.LIST.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphProfile

          public Future<Response> graphProfile​(List<String> args)

      Redis command GRAPH.PROFILE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphProfile

          public Single<Response> rxGraphProfile​(List<String> args)

      Redis command GRAPH.PROFILE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphQuery

          public Future<Response> graphQuery​(List<String> args)

      Redis command GRAPH.QUERY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphQuery

          public Single<Response> rxGraphQuery​(List<String> args)

      Redis command GRAPH.QUERY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphRoQuery

          public Future<Response> graphRoQuery​(List<String> args)

      Redis command GRAPH.RO_QUERY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphRoQuery

          public Single<Response> rxGraphRoQuery​(List<String> args)

      Redis command GRAPH.RO_QUERY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### graphSlowlog

          public Future<Response> graphSlowlog​(List<String> args)

      Redis command GRAPH.SLOWLOG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxGraphSlowlog

          public Single<Response> rxGraphSlowlog​(List<String> args)

      Redis command GRAPH.SLOWLOG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### hdel

          public Future<Response> hdel​(List<String> args)

      Delete one or more hash fields.

      Redis command HDEL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxHdel

          public Single<Response> rxHdel​(List<String> args)

      Delete one or more hash fields.

      Redis command HDEL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### hello

          public Future<Response> hello​(List<String> args)

      Handshake with Redis.

      Redis command HELLO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxHello

          public Single<Response> rxHello​(List<String> args)

      Handshake with Redis.

      Redis command HELLO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### hexists

          public Future<Response> hexists​(String arg0,
                                          String arg1)

      Determine if a hash field exists.

      Redis command HEXISTS.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxHexists

          public Single<Response> rxHexists​(String arg0,
                                            String arg1)

      Determine if a hash field exists.

      Redis command HEXISTS.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### hget

          public Future<Response> hget​(String arg0,
                                       String arg1)

      Get the value of a hash field.

      Redis command HGET.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxHget

          public Single<Response> rxHget​(String arg0,
                                         String arg1)

      Get the value of a hash field.

      Redis command HGET.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### hgetall

          public Future<Response> hgetall​(String arg0)

      Get all the fields and values in a hash.

      Redis command HGETALL.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxHgetall

          public Single<Response> rxHgetall​(String arg0)

      Get all the fields and values in a hash.

      Redis command HGETALL.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### hincrby

          public Future<Response> hincrby​(String arg0,
                                          String arg1,
                                          String arg2)

      Increment the integer value of a hash field by the given number.

      Redis command HINCRBY.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxHincrby

          public Single<Response> rxHincrby​(String arg0,
                                            String arg1,
                                            String arg2)

      Increment the integer value of a hash field by the given number.

      Redis command HINCRBY.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### hincrbyfloat

          public Future<Response> hincrbyfloat​(String arg0,
                                               String arg1,
                                               String arg2)

      Increment the float value of a hash field by the given amount.

      Redis command HINCRBYFLOAT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxHincrbyfloat

          public Single<Response> rxHincrbyfloat​(String arg0,
                                                 String arg1,
                                                 String arg2)

      Increment the float value of a hash field by the given amount.

      Redis command HINCRBYFLOAT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### hkeys

          public Future<Response> hkeys​(String arg0)

      Get all the fields in a hash.

      Redis command HKEYS.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxHkeys

          public Single<Response> rxHkeys​(String arg0)

      Get all the fields in a hash.

      Redis command HKEYS.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### hlen

          public Future<Response> hlen​(String arg0)

      Get the number of fields in a hash.

      Redis command HLEN.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxHlen

          public Single<Response> rxHlen​(String arg0)

      Get the number of fields in a hash.

      Redis command HLEN.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### hmget

          public Future<Response> hmget​(List<String> args)

      Get the values of all the given hash fields.

      Redis command HMGET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxHmget

          public Single<Response> rxHmget​(List<String> args)

      Get the values of all the given hash fields.

      Redis command HMGET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### hmset

          @Deprecated
          public Future<Response> hmset​(List<String> args)

      Deprecated.
      Set multiple hash fields to multiple values.

      Redis command HMSET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxHmset

          @Deprecated
          public Single<Response> rxHmset​(List<String> args)

      Deprecated.
      Set multiple hash fields to multiple values.

      Redis command HMSET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### hrandfield

          public Future<Response> hrandfield​(List<String> args)

      Get one or multiple random fields from a hash.

      Redis command HRANDFIELD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxHrandfield

          public Single<Response> rxHrandfield​(List<String> args)

      Get one or multiple random fields from a hash.

      Redis command HRANDFIELD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### hscan

          public Future<Response> hscan​(List<String> args)

      Incrementally iterate hash fields and associated values.

      Redis command HSCAN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxHscan

          public Single<Response> rxHscan​(List<String> args)

      Incrementally iterate hash fields and associated values.

      Redis command HSCAN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### hset

          public Future<Response> hset​(List<String> args)

      Set the string value of a hash field.

      Redis command HSET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxHset

          public Single<Response> rxHset​(List<String> args)

      Set the string value of a hash field.

      Redis command HSET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### hsetnx

          public Future<Response> hsetnx​(String arg0,
                                         String arg1,
                                         String arg2)

      Set the value of a hash field, only if the field does not exist.

      Redis command HSETNX.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxHsetnx

          public Single<Response> rxHsetnx​(String arg0,
                                           String arg1,
                                           String arg2)

      Set the value of a hash field, only if the field does not exist.

      Redis command HSETNX.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### hstrlen

          public Future<Response> hstrlen​(String arg0,
                                          String arg1)

      Get the length of the value of a hash field.

      Redis command HSTRLEN.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxHstrlen

          public Single<Response> rxHstrlen​(String arg0,
                                            String arg1)

      Get the length of the value of a hash field.

      Redis command HSTRLEN.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### hvals

          public Future<Response> hvals​(String arg0)

      Get all the values in a hash.

      Redis command HVALS.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxHvals

          public Single<Response> rxHvals​(String arg0)

      Get all the values in a hash.

      Redis command HVALS.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### incr

          public Future<Response> incr​(String arg0)

      Increment the integer value of a key by one.

      Redis command INCR.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxIncr

          public Single<Response> rxIncr​(String arg0)

      Increment the integer value of a key by one.

      Redis command INCR.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### incrby

          public Future<Response> incrby​(String arg0,
                                         String arg1)

      Increment the integer value of a key by the given amount.

      Redis command INCRBY.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxIncrby

          public Single<Response> rxIncrby​(String arg0,
                                           String arg1)

      Increment the integer value of a key by the given amount.

      Redis command INCRBY.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### incrbyfloat

          public Future<Response> incrbyfloat​(String arg0,
                                              String arg1)

      Increment the float value of a key by the given amount.

      Redis command INCRBYFLOAT.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxIncrbyfloat

          public Single<Response> rxIncrbyfloat​(String arg0,
                                                String arg1)

      Increment the float value of a key by the given amount.

      Redis command INCRBYFLOAT.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### info

          public Future<Response> info​(List<String> args)

      Get information and statistics about the server.

      Redis command INFO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxInfo

          public Single<Response> rxInfo​(List<String> args)

      Get information and statistics about the server.

      Redis command INFO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonArrappend

          public Future<Response> jsonArrappend​(List<String> args)

      Redis command JSON.ARRAPPEND.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonArrappend

          public Single<Response> rxJsonArrappend​(List<String> args)

      Redis command JSON.ARRAPPEND.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonArrindex

          public Future<Response> jsonArrindex​(List<String> args)

      Redis command JSON.ARRINDEX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonArrindex

          public Single<Response> rxJsonArrindex​(List<String> args)

      Redis command JSON.ARRINDEX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonArrinsert

          public Future<Response> jsonArrinsert​(List<String> args)

      Redis command JSON.ARRINSERT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonArrinsert

          public Single<Response> rxJsonArrinsert​(List<String> args)

      Redis command JSON.ARRINSERT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonArrlen

          public Future<Response> jsonArrlen​(List<String> args)

      Redis command JSON.ARRLEN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonArrlen

          public Single<Response> rxJsonArrlen​(List<String> args)

      Redis command JSON.ARRLEN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonArrpop

          public Future<Response> jsonArrpop​(List<String> args)

      Redis command JSON.ARRPOP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonArrpop

          public Single<Response> rxJsonArrpop​(List<String> args)

      Redis command JSON.ARRPOP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonArrtrim

          public Future<Response> jsonArrtrim​(List<String> args)

      Redis command JSON.ARRTRIM.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonArrtrim

          public Single<Response> rxJsonArrtrim​(List<String> args)

      Redis command JSON.ARRTRIM.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonClear

          public Future<Response> jsonClear​(List<String> args)

      Redis command JSON.CLEAR.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonClear

          public Single<Response> rxJsonClear​(List<String> args)

      Redis command JSON.CLEAR.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonDebug

          public Future<Response> jsonDebug​(List<String> args)

      Redis command JSON.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonDebug

          public Single<Response> rxJsonDebug​(List<String> args)

      Redis command JSON.DEBUG.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonDel

          public Future<Response> jsonDel​(List<String> args)

      Redis command JSON.DEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonDel

          public Single<Response> rxJsonDel​(List<String> args)

      Redis command JSON.DEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonForget

          public Future<Response> jsonForget​(List<String> args)

      Redis command JSON.FORGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonForget

          public Single<Response> rxJsonForget​(List<String> args)

      Redis command JSON.FORGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonGet

          public Future<Response> jsonGet​(List<String> args)

      Redis command JSON.GET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonGet

          public Single<Response> rxJsonGet​(List<String> args)

      Redis command JSON.GET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonMget

          public Future<Response> jsonMget​(List<String> args)

      Redis command JSON.MGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonMget

          public Single<Response> rxJsonMget​(List<String> args)

      Redis command JSON.MGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonNumincrby

          public Future<Response> jsonNumincrby​(List<String> args)

      Redis command JSON.NUMINCRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonNumincrby

          public Single<Response> rxJsonNumincrby​(List<String> args)

      Redis command JSON.NUMINCRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonNummultby

          public Future<Response> jsonNummultby​(List<String> args)

      Redis command JSON.NUMMULTBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonNummultby

          public Single<Response> rxJsonNummultby​(List<String> args)

      Redis command JSON.NUMMULTBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonNumpowby

          public Future<Response> jsonNumpowby​(List<String> args)

      Redis command JSON.NUMPOWBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonNumpowby

          public Single<Response> rxJsonNumpowby​(List<String> args)

      Redis command JSON.NUMPOWBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonObjkeys

          public Future<Response> jsonObjkeys​(List<String> args)

      Redis command JSON.OBJKEYS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonObjkeys

          public Single<Response> rxJsonObjkeys​(List<String> args)

      Redis command JSON.OBJKEYS.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonObjlen

          public Future<Response> jsonObjlen​(List<String> args)

      Redis command JSON.OBJLEN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonObjlen

          public Single<Response> rxJsonObjlen​(List<String> args)

      Redis command JSON.OBJLEN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonResp

          public Future<Response> jsonResp​(List<String> args)

      Redis command JSON.RESP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonResp

          public Single<Response> rxJsonResp​(List<String> args)

      Redis command JSON.RESP.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonSet

          public Future<Response> jsonSet​(List<String> args)

      Redis command JSON.SET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonSet

          public Single<Response> rxJsonSet​(List<String> args)

      Redis command JSON.SET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonStrappend

          public Future<Response> jsonStrappend​(List<String> args)

      Redis command JSON.STRAPPEND.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonStrappend

          public Single<Response> rxJsonStrappend​(List<String> args)

      Redis command JSON.STRAPPEND.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonStrlen

          public Future<Response> jsonStrlen​(List<String> args)

      Redis command JSON.STRLEN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonStrlen

          public Single<Response> rxJsonStrlen​(List<String> args)

      Redis command JSON.STRLEN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonToggle

          public Future<Response> jsonToggle​(List<String> args)

      Redis command JSON.TOGGLE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonToggle

          public Single<Response> rxJsonToggle​(List<String> args)

      Redis command JSON.TOGGLE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### jsonType

          public Future<Response> jsonType​(List<String> args)

      Redis command JSON.TYPE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxJsonType

          public Single<Response> rxJsonType​(List<String> args)

      Redis command JSON.TYPE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### keys

          public Future<Response> keys​(String arg0)

      Find all keys matching the given pattern.

      Redis command KEYS.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxKeys

          public Single<Response> rxKeys​(String arg0)

      Find all keys matching the given pattern.

      Redis command KEYS.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### lastsave

          public Future<Response> lastsave()

      Get the UNIX time stamp of the last successful save to disk.

      Redis command LASTSAVE.

      Returns:
        Future response.

    - #### rxLastsave

          public Single<Response> rxLastsave()

      Get the UNIX time stamp of the last successful save to disk.

      Redis command LASTSAVE.

      Returns:
        Future response.

    - #### latency

          public Future<Response> latency​(List<String> args)

      A container for latency diagnostics commands.

      Redis command LATENCY.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxLatency

          public Single<Response> rxLatency​(List<String> args)

      A container for latency diagnostics commands.

      Redis command LATENCY.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### lcs

          public Future<Response> lcs​(List<String> args)

      Find longest common substring.

      Redis command LCS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxLcs

          public Single<Response> rxLcs​(List<String> args)

      Find longest common substring.

      Redis command LCS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### lindex

          public Future<Response> lindex​(String arg0,
                                         String arg1)

      Get an element from a list by its index.

      Redis command LINDEX.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxLindex

          public Single<Response> rxLindex​(String arg0,
                                           String arg1)

      Get an element from a list by its index.

      Redis command LINDEX.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### linsert

          public Future<Response> linsert​(String arg0,
                                          String arg1,
                                          String arg2,
                                          String arg3)

      Insert an element before or after another element in a list.

      Redis command LINSERT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        Future response.

    - #### rxLinsert

          public Single<Response> rxLinsert​(String arg0,
                                            String arg1,
                                            String arg2,
                                            String arg3)

      Insert an element before or after another element in a list.

      Redis command LINSERT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        Future response.

    - #### llen

          public Future<Response> llen​(String arg0)

      Get the length of a list.

      Redis command LLEN.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxLlen

          public Single<Response> rxLlen​(String arg0)

      Get the length of a list.

      Redis command LLEN.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### lmove

          public Future<Response> lmove​(String arg0,
                                        String arg1,
                                        String arg2,
                                        String arg3)

      Pop an element from a list, push it to another list and return it.

      Redis command LMOVE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        Future response.

    - #### rxLmove

          public Single<Response> rxLmove​(String arg0,
                                          String arg1,
                                          String arg2,
                                          String arg3)

      Pop an element from a list, push it to another list and return it.

      Redis command LMOVE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        Future response.

    - #### lmpop

          public Future<Response> lmpop​(List<String> args)

      Pop elements from a list.

      Redis command LMPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxLmpop

          public Single<Response> rxLmpop​(List<String> args)

      Pop elements from a list.

      Redis command LMPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### lolwut

          public Future<Response> lolwut​(List<String> args)

      Display some computer art and the Redis version.

      Redis command LOLWUT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxLolwut

          public Single<Response> rxLolwut​(List<String> args)

      Display some computer art and the Redis version.

      Redis command LOLWUT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### lpop

          public Future<Response> lpop​(List<String> args)

      Remove and get the first elements in a list.

      Redis command LPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxLpop

          public Single<Response> rxLpop​(List<String> args)

      Remove and get the first elements in a list.

      Redis command LPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### lpos

          public Future<Response> lpos​(List<String> args)

      Return the index of matching elements on a list.

      Redis command LPOS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxLpos

          public Single<Response> rxLpos​(List<String> args)

      Return the index of matching elements on a list.

      Redis command LPOS.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### lpush

          public Future<Response> lpush​(List<String> args)

      Prepend one or multiple elements to a list.

      Redis command LPUSH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxLpush

          public Single<Response> rxLpush​(List<String> args)

      Prepend one or multiple elements to a list.

      Redis command LPUSH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### lpushx

          public Future<Response> lpushx​(List<String> args)

      Prepend an element to a list, only if the list exists.

      Redis command LPUSHX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxLpushx

          public Single<Response> rxLpushx​(List<String> args)

      Prepend an element to a list, only if the list exists.

      Redis command LPUSHX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### lrange

          public Future<Response> lrange​(String arg0,
                                         String arg1,
                                         String arg2)

      Get a range of elements from a list.

      Redis command LRANGE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxLrange

          public Single<Response> rxLrange​(String arg0,
                                           String arg1,
                                           String arg2)

      Get a range of elements from a list.

      Redis command LRANGE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### lrem

          public Future<Response> lrem​(String arg0,
                                       String arg1,
                                       String arg2)

      Remove elements from a list.

      Redis command LREM.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxLrem

          public Single<Response> rxLrem​(String arg0,
                                         String arg1,
                                         String arg2)

      Remove elements from a list.

      Redis command LREM.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### lset

          public Future<Response> lset​(String arg0,
                                       String arg1,
                                       String arg2)

      Set the value of an element in a list by its index.

      Redis command LSET.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxLset

          public Single<Response> rxLset​(String arg0,
                                         String arg1,
                                         String arg2)

      Set the value of an element in a list by its index.

      Redis command LSET.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### ltrim

          public Future<Response> ltrim​(String arg0,
                                        String arg1,
                                        String arg2)

      Trim a list to the specified range.

      Redis command LTRIM.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxLtrim

          public Single<Response> rxLtrim​(String arg0,
                                          String arg1,
                                          String arg2)

      Trim a list to the specified range.

      Redis command LTRIM.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### memory

          public Future<Response> memory​(List<String> args)

      A container for memory diagnostics commands.

      Redis command MEMORY.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxMemory

          public Single<Response> rxMemory​(List<String> args)

      A container for memory diagnostics commands.

      Redis command MEMORY.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### mget

          public Future<Response> mget​(List<String> args)

      Get the values of all the given keys.

      Redis command MGET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxMget

          public Single<Response> rxMget​(List<String> args)

      Get the values of all the given keys.

      Redis command MGET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### migrate

          public Future<Response> migrate​(List<String> args)

      Atomically transfer a key from a Redis instance to another one.

      Redis command MIGRATE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxMigrate

          public Single<Response> rxMigrate​(List<String> args)

      Atomically transfer a key from a Redis instance to another one.

      Redis command MIGRATE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### module

          public Future<Response> module​(List<String> args)

      A container for module commands.

      Redis command MODULE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxModule

          public Single<Response> rxModule​(List<String> args)

      A container for module commands.

      Redis command MODULE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### monitor

          public Future<Response> monitor()

      Listen for all requests received by the server in real time.

      Redis command MONITOR.

      Returns:
        Future response.

    - #### rxMonitor

          public Single<Response> rxMonitor()

      Listen for all requests received by the server in real time.

      Redis command MONITOR.

      Returns:
        Future response.

    - #### move

          public Future<Response> move​(String arg0,
                                       String arg1)

      Move a key to another database.

      Redis command MOVE.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxMove

          public Single<Response> rxMove​(String arg0,
                                         String arg1)

      Move a key to another database.

      Redis command MOVE.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### mset

          public Future<Response> mset​(List<String> args)

      Set multiple keys to multiple values.

      Redis command MSET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxMset

          public Single<Response> rxMset​(List<String> args)

      Set multiple keys to multiple values.

      Redis command MSET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### msetnx

          public Future<Response> msetnx​(List<String> args)

      Set multiple keys to multiple values, only if none of the keys exist.

      Redis command MSETNX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxMsetnx

          public Single<Response> rxMsetnx​(List<String> args)

      Set multiple keys to multiple values, only if none of the keys exist.

      Redis command MSETNX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### multi

          public Future<Response> multi()

      Mark the start of a transaction block.

      Redis command MULTI.

      Returns:
        Future response.

    - #### rxMulti

          public Single<Response> rxMulti()

      Mark the start of a transaction block.

      Redis command MULTI.

      Returns:
        Future response.

    - #### object

          public Future<Response> object​(List<String> args)

      A container for object introspection commands.

      Redis command OBJECT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxObject

          public Single<Response> rxObject​(List<String> args)

      A container for object introspection commands.

      Redis command OBJECT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### persist

          public Future<Response> persist​(String arg0)

      Remove the expiration from a key.

      Redis command PERSIST.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxPersist

          public Single<Response> rxPersist​(String arg0)

      Remove the expiration from a key.

      Redis command PERSIST.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### pexpire

          public Future<Response> pexpire​(List<String> args)

      Set a key's time to live in milliseconds.

      Redis command PEXPIRE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPexpire

          public Single<Response> rxPexpire​(List<String> args)

      Set a key's time to live in milliseconds.

      Redis command PEXPIRE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### pexpireat

          public Future<Response> pexpireat​(List<String> args)

      Set the expiration for a key as a UNIX timestamp specified in milliseconds.

      Redis command PEXPIREAT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPexpireat

          public Single<Response> rxPexpireat​(List<String> args)

      Set the expiration for a key as a UNIX timestamp specified in milliseconds.

      Redis command PEXPIREAT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### pexpiretime

          public Future<Response> pexpiretime​(String arg0)

      Get the expiration Unix timestamp for a key in milliseconds.

      Redis command PEXPIRETIME.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxPexpiretime

          public Single<Response> rxPexpiretime​(String arg0)

      Get the expiration Unix timestamp for a key in milliseconds.

      Redis command PEXPIRETIME.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### pfadd

          public Future<Response> pfadd​(List<String> args)

      Adds the specified elements to the specified HyperLogLog.

      Redis command PFADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPfadd

          public Single<Response> rxPfadd​(List<String> args)

      Adds the specified elements to the specified HyperLogLog.

      Redis command PFADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### pfcount

          public Future<Response> pfcount​(List<String> args)

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).

      Redis command PFCOUNT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPfcount

          public Single<Response> rxPfcount​(List<String> args)

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).

      Redis command PFCOUNT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### pfdebug

          public Future<Response> pfdebug​(String arg0,
                                          String arg1)

      Internal commands for debugging HyperLogLog values.

      Redis command PFDEBUG.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxPfdebug

          public Single<Response> rxPfdebug​(String arg0,
                                            String arg1)

      Internal commands for debugging HyperLogLog values.

      Redis command PFDEBUG.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### pfmerge

          public Future<Response> pfmerge​(List<String> args)

      Merge N different HyperLogLogs into a single one.

      Redis command PFMERGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPfmerge

          public Single<Response> rxPfmerge​(List<String> args)

      Merge N different HyperLogLogs into a single one.

      Redis command PFMERGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### pfselftest

          public Future<Response> pfselftest()

      An internal command for testing HyperLogLog values.

      Redis command PFSELFTEST.

      Returns:
        Future response.

    - #### rxPfselftest

          public Single<Response> rxPfselftest()

      An internal command for testing HyperLogLog values.

      Redis command PFSELFTEST.

      Returns:
        Future response.

    - #### ping

          public Future<Response> ping​(List<String> args)

      Ping the server.

      Redis command PING.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPing

          public Single<Response> rxPing​(List<String> args)

      Ping the server.

      Redis command PING.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### psetex

          public Future<Response> psetex​(String arg0,
                                         String arg1,
                                         String arg2)

      Set the value and expiration in milliseconds of a key.

      Redis command PSETEX.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxPsetex

          public Single<Response> rxPsetex​(String arg0,
                                           String arg1,
                                           String arg2)

      Set the value and expiration in milliseconds of a key.

      Redis command PSETEX.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### psubscribe

          public Future<Response> psubscribe​(List<String> args)

      Listen for messages published to channels matching the given patterns.

      Redis command PSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPsubscribe

          public Single<Response> rxPsubscribe​(List<String> args)

      Listen for messages published to channels matching the given patterns.

      Redis command PSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### psync

          public Future<Response> psync​(List<String> args)

      Internal command used for replication.

      Redis command PSYNC.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPsync

          public Single<Response> rxPsync​(List<String> args)

      Internal command used for replication.

      Redis command PSYNC.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### pttl

          public Future<Response> pttl​(String arg0)

      Get the time to live for a key in milliseconds.

      Redis command PTTL.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxPttl

          public Single<Response> rxPttl​(String arg0)

      Get the time to live for a key in milliseconds.

      Redis command PTTL.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### publish

          public Future<Response> publish​(String arg0,
                                          String arg1)

      Post a message to a channel.

      Redis command PUBLISH.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxPublish

          public Single<Response> rxPublish​(String arg0,
                                            String arg1)

      Post a message to a channel.

      Redis command PUBLISH.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### pubsub

          public Future<Response> pubsub​(List<String> args)

      A container for Pub/Sub commands.

      Redis command PUBSUB.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPubsub

          public Single<Response> rxPubsub​(List<String> args)

      A container for Pub/Sub commands.

      Redis command PUBSUB.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### punsubscribe

          public Future<Response> punsubscribe​(List<String> args)

      Stop listening for messages posted to channels matching the given patterns.

      Redis command PUNSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxPunsubscribe

          public Single<Response> rxPunsubscribe​(List<String> args)

      Stop listening for messages posted to channels matching the given patterns.

      Redis command PUNSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### quit

          public Future<Response> quit​(List<String> args)

      Close the connection.

      Redis command QUIT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxQuit

          public Single<Response> rxQuit​(List<String> args)

      Close the connection.

      Redis command QUIT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### randomkey

          public Future<Response> randomkey()

      Return a random key from the keyspace.

      Redis command RANDOMKEY.

      Returns:
        Future response.

    - #### rxRandomkey

          public Single<Response> rxRandomkey()

      Return a random key from the keyspace.

      Redis command RANDOMKEY.

      Returns:
        Future response.

    - #### readonly

          public Future<Response> readonly()

      Enables read queries for a connection to a cluster replica node.

      Redis command READONLY.

      Returns:
        Future response.

    - #### rxReadonly

          public Single<Response> rxReadonly()

      Enables read queries for a connection to a cluster replica node.

      Redis command READONLY.

      Returns:
        Future response.

    - #### readwrite

          public Future<Response> readwrite()

      Disables read queries for a connection to a cluster replica node.

      Redis command READWRITE.

      Returns:
        Future response.

    - #### rxReadwrite

          public Single<Response> rxReadwrite()

      Disables read queries for a connection to a cluster replica node.

      Redis command READWRITE.

      Returns:
        Future response.

    - #### rename

          public Future<Response> rename​(String arg0,
                                         String arg1)

      Rename a key.

      Redis command RENAME.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxRename

          public Single<Response> rxRename​(String arg0,
                                           String arg1)

      Rename a key.

      Redis command RENAME.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### renamenx

          public Future<Response> renamenx​(String arg0,
                                           String arg1)

      Rename a key, only if the new key does not exist.

      Redis command RENAMENX.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxRenamenx

          public Single<Response> rxRenamenx​(String arg0,
                                             String arg1)

      Rename a key, only if the new key does not exist.

      Redis command RENAMENX.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### replconf

          public Future<Response> replconf​(List<String> args)

      An internal command for configuring the replication stream.

      Redis command REPLCONF.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxReplconf

          public Single<Response> rxReplconf​(List<String> args)

      An internal command for configuring the replication stream.

      Redis command REPLCONF.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### replicaof

          public Future<Response> replicaof​(String arg0,
                                            String arg1)

      Make the server a replica of another instance, or promote it as master.

      Redis command REPLICAOF.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxReplicaof

          public Single<Response> rxReplicaof​(String arg0,
                                              String arg1)

      Make the server a replica of another instance, or promote it as master.

      Redis command REPLICAOF.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### reset

          public Future<Response> reset()

      Reset the connection.

      Redis command RESET.

      Returns:
        Future response.

    - #### rxReset

          public Single<Response> rxReset()

      Reset the connection.

      Redis command RESET.

      Returns:
        Future response.

    - #### restore

          public Future<Response> restore​(List<String> args)

      Create a key using the provided serialized value, previously obtained using DUMP.

      Redis command RESTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxRestore

          public Single<Response> rxRestore​(List<String> args)

      Create a key using the provided serialized value, previously obtained using DUMP.

      Redis command RESTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### restoreAsking

          public Future<Response> restoreAsking​(List<String> args)

      An internal command for migrating keys in a cluster.

      Redis command RESTORE-ASKING.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxRestoreAsking

          public Single<Response> rxRestoreAsking​(List<String> args)

      An internal command for migrating keys in a cluster.

      Redis command RESTORE-ASKING.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### role

          public Future<Response> role()

      Return the role of the instance in the context of replication.

      Redis command ROLE.

      Returns:
        Future response.

    - #### rxRole

          public Single<Response> rxRole()

      Return the role of the instance in the context of replication.

      Redis command ROLE.

      Returns:
        Future response.

    - #### rpop

          public Future<Response> rpop​(List<String> args)

      Remove and get the last elements in a list.

      Redis command RPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxRpop

          public Single<Response> rxRpop​(List<String> args)

      Remove and get the last elements in a list.

      Redis command RPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rpoplpush

          @Deprecated
          public Future<Response> rpoplpush​(String arg0,
                                            String arg1)

      Deprecated.
      Remove the last element in a list, prepend it to another list and return it.

      Redis command RPOPLPUSH.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxRpoplpush

          @Deprecated
          public Single<Response> rxRpoplpush​(String arg0,
                                              String arg1)

      Deprecated.
      Remove the last element in a list, prepend it to another list and return it.

      Redis command RPOPLPUSH.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rpush

          public Future<Response> rpush​(List<String> args)

      Append one or multiple elements to a list.

      Redis command RPUSH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxRpush

          public Single<Response> rxRpush​(List<String> args)

      Append one or multiple elements to a list.

      Redis command RPUSH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rpushx

          public Future<Response> rpushx​(List<String> args)

      Append an element to a list, only if the list exists.

      Redis command RPUSHX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxRpushx

          public Single<Response> rxRpushx​(List<String> args)

      Append an element to a list, only if the list exists.

      Redis command RPUSHX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sadd

          public Future<Response> sadd​(List<String> args)

      Add one or more members to a set.

      Redis command SADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSadd

          public Single<Response> rxSadd​(List<String> args)

      Add one or more members to a set.

      Redis command SADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### save

          public Future<Response> save()

      Synchronously save the dataset to disk.

      Redis command SAVE.

      Returns:
        Future response.

    - #### rxSave

          public Single<Response> rxSave()

      Synchronously save the dataset to disk.

      Redis command SAVE.

      Returns:
        Future response.

    - #### scan

          public Future<Response> scan​(List<String> args)

      Incrementally iterate the keys space.

      Redis command SCAN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxScan

          public Single<Response> rxScan​(List<String> args)

      Incrementally iterate the keys space.

      Redis command SCAN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### scard

          public Future<Response> scard​(String arg0)

      Get the number of members in a set.

      Redis command SCARD.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxScard

          public Single<Response> rxScard​(String arg0)

      Get the number of members in a set.

      Redis command SCARD.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### script

          public Future<Response> script​(List<String> args)

      A container for Lua scripts management commands.

      Redis command SCRIPT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxScript

          public Single<Response> rxScript​(List<String> args)

      A container for Lua scripts management commands.

      Redis command SCRIPT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sdiff

          public Future<Response> sdiff​(List<String> args)

      Subtract multiple sets.

      Redis command SDIFF.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSdiff

          public Single<Response> rxSdiff​(List<String> args)

      Subtract multiple sets.

      Redis command SDIFF.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sdiffstore

          public Future<Response> sdiffstore​(List<String> args)

      Subtract multiple sets and store the resulting set in a key.

      Redis command SDIFFSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSdiffstore

          public Single<Response> rxSdiffstore​(List<String> args)

      Subtract multiple sets and store the resulting set in a key.

      Redis command SDIFFSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### select

          public Future<Response> select​(String arg0)

      Change the selected database for the current connection.

      Redis command SELECT.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxSelect

          public Single<Response> rxSelect​(String arg0)

      Change the selected database for the current connection.

      Redis command SELECT.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### set

          public Future<Response> set​(List<String> args)

      Set the string value of a key.

      Redis command SET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSet

          public Single<Response> rxSet​(List<String> args)

      Set the string value of a key.

      Redis command SET.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### setbit

          public Future<Response> setbit​(String arg0,
                                         String arg1,
                                         String arg2)

      Sets or clears the bit at offset in the string value stored at key.

      Redis command SETBIT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxSetbit

          public Single<Response> rxSetbit​(String arg0,
                                           String arg1,
                                           String arg2)

      Sets or clears the bit at offset in the string value stored at key.

      Redis command SETBIT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### setex

          public Future<Response> setex​(String arg0,
                                        String arg1,
                                        String arg2)

      Set the value and expiration of a key.

      Redis command SETEX.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxSetex

          public Single<Response> rxSetex​(String arg0,
                                          String arg1,
                                          String arg2)

      Set the value and expiration of a key.

      Redis command SETEX.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### setnx

          public Future<Response> setnx​(String arg0,
                                        String arg1)

      Set the value of a key, only if the key does not exist.

      Redis command SETNX.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxSetnx

          public Single<Response> rxSetnx​(String arg0,
                                          String arg1)

      Set the value of a key, only if the key does not exist.

      Redis command SETNX.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### setrange

          public Future<Response> setrange​(String arg0,
                                           String arg1,
                                           String arg2)

      Overwrite part of a string at key starting at the specified offset.

      Redis command SETRANGE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxSetrange

          public Single<Response> rxSetrange​(String arg0,
                                             String arg1,
                                             String arg2)

      Overwrite part of a string at key starting at the specified offset.

      Redis command SETRANGE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### shutdown

          public Future<Response> shutdown​(List<String> args)

      Synchronously save the dataset to disk and then shut down the server.

      Redis command SHUTDOWN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxShutdown

          public Single<Response> rxShutdown​(List<String> args)

      Synchronously save the dataset to disk and then shut down the server.

      Redis command SHUTDOWN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sinter

          public Future<Response> sinter​(List<String> args)

      Intersect multiple sets.

      Redis command SINTER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSinter

          public Single<Response> rxSinter​(List<String> args)

      Intersect multiple sets.

      Redis command SINTER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sintercard

          public Future<Response> sintercard​(List<String> args)

      Intersect multiple sets and return the cardinality of the result.

      Redis command SINTERCARD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSintercard

          public Single<Response> rxSintercard​(List<String> args)

      Intersect multiple sets and return the cardinality of the result.

      Redis command SINTERCARD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sinterstore

          public Future<Response> sinterstore​(List<String> args)

      Intersect multiple sets and store the resulting set in a key.

      Redis command SINTERSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSinterstore

          public Single<Response> rxSinterstore​(List<String> args)

      Intersect multiple sets and store the resulting set in a key.

      Redis command SINTERSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sismember

          public Future<Response> sismember​(String arg0,
                                            String arg1)

      Determine if a given value is a member of a set.

      Redis command SISMEMBER.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxSismember

          public Single<Response> rxSismember​(String arg0,
                                              String arg1)

      Determine if a given value is a member of a set.

      Redis command SISMEMBER.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### slaveof

          @Deprecated
          public Future<Response> slaveof​(String arg0,
                                          String arg1)

      Deprecated.
      Make the server a replica of another instance, or promote it as master.

      Redis command SLAVEOF.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxSlaveof

          @Deprecated
          public Single<Response> rxSlaveof​(String arg0,
                                            String arg1)

      Deprecated.
      Make the server a replica of another instance, or promote it as master.

      Redis command SLAVEOF.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### slowlog

          public Future<Response> slowlog​(List<String> args)

      A container for slow log commands.

      Redis command SLOWLOG.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSlowlog

          public Single<Response> rxSlowlog​(List<String> args)

      A container for slow log commands.

      Redis command SLOWLOG.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### smembers

          public Future<Response> smembers​(String arg0)

      Get all the members in a set.

      Redis command SMEMBERS.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxSmembers

          public Single<Response> rxSmembers​(String arg0)

      Get all the members in a set.

      Redis command SMEMBERS.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### smismember

          public Future<Response> smismember​(List<String> args)

      Returns the membership associated with the given elements for a set.

      Redis command SMISMEMBER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSmismember

          public Single<Response> rxSmismember​(List<String> args)

      Returns the membership associated with the given elements for a set.

      Redis command SMISMEMBER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### smove

          public Future<Response> smove​(String arg0,
                                        String arg1,
                                        String arg2)

      Move a member from one set to another.

      Redis command SMOVE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxSmove

          public Single<Response> rxSmove​(String arg0,
                                          String arg1,
                                          String arg2)

      Move a member from one set to another.

      Redis command SMOVE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### sort

          public Future<Response> sort​(List<String> args)

      Sort the elements in a list, set or sorted set.

      Redis command SORT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSort

          public Single<Response> rxSort​(List<String> args)

      Sort the elements in a list, set or sorted set.

      Redis command SORT.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sortRo

          public Future<Response> sortRo​(List<String> args)

      Sort the elements in a list, set or sorted set. Read-only variant of SORT.

      Redis command SORT_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSortRo

          public Single<Response> rxSortRo​(List<String> args)

      Sort the elements in a list, set or sorted set. Read-only variant of SORT.

      Redis command SORT_RO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### spop

          public Future<Response> spop​(List<String> args)

      Remove and return one or multiple random members from a set.

      Redis command SPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSpop

          public Single<Response> rxSpop​(List<String> args)

      Remove and return one or multiple random members from a set.

      Redis command SPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### spublish

          public Future<Response> spublish​(String arg0,
                                           String arg1)

      Post a message to a shard channel.

      Redis command SPUBLISH.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxSpublish

          public Single<Response> rxSpublish​(String arg0,
                                             String arg1)

      Post a message to a shard channel.

      Redis command SPUBLISH.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### srandmember

          public Future<Response> srandmember​(List<String> args)

      Get one or multiple random members from a set.

      Redis command SRANDMEMBER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSrandmember

          public Single<Response> rxSrandmember​(List<String> args)

      Get one or multiple random members from a set.

      Redis command SRANDMEMBER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### srem

          public Future<Response> srem​(List<String> args)

      Remove one or more members from a set.

      Redis command SREM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSrem

          public Single<Response> rxSrem​(List<String> args)

      Remove one or more members from a set.

      Redis command SREM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sscan

          public Future<Response> sscan​(List<String> args)

      Incrementally iterate Set elements.

      Redis command SSCAN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSscan

          public Single<Response> rxSscan​(List<String> args)

      Incrementally iterate Set elements.

      Redis command SSCAN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ssubscribe

          public Future<Response> ssubscribe​(List<String> args)

      Listen for messages published to the given shard channels.

      Redis command SSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSsubscribe

          public Single<Response> rxSsubscribe​(List<String> args)

      Listen for messages published to the given shard channels.

      Redis command SSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### strlen

          public Future<Response> strlen​(String arg0)

      Get the length of the value stored in a key.

      Redis command STRLEN.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxStrlen

          public Single<Response> rxStrlen​(String arg0)

      Get the length of the value stored in a key.

      Redis command STRLEN.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### subscribe

          public Future<Response> subscribe​(List<String> args)

      Listen for messages published to the given channels.

      Redis command SUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSubscribe

          public Single<Response> rxSubscribe​(List<String> args)

      Listen for messages published to the given channels.

      Redis command SUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### substr

          @Deprecated
          public Future<Response> substr​(String arg0,
                                         String arg1,
                                         String arg2)

      Deprecated.
      Get a substring of the string stored at a key.

      Redis command SUBSTR.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxSubstr

          @Deprecated
          public Single<Response> rxSubstr​(String arg0,
                                           String arg1,
                                           String arg2)

      Deprecated.
      Get a substring of the string stored at a key.

      Redis command SUBSTR.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### sunion

          public Future<Response> sunion​(List<String> args)

      Add multiple sets.

      Redis command SUNION.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSunion

          public Single<Response> rxSunion​(List<String> args)

      Add multiple sets.

      Redis command SUNION.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sunionstore

          public Future<Response> sunionstore​(List<String> args)

      Add multiple sets and store the resulting set in a key.

      Redis command SUNIONSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSunionstore

          public Single<Response> rxSunionstore​(List<String> args)

      Add multiple sets and store the resulting set in a key.

      Redis command SUNIONSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### sunsubscribe

          public Future<Response> sunsubscribe​(List<String> args)

      Stop listening for messages posted to the given shard channels.

      Redis command SUNSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxSunsubscribe

          public Single<Response> rxSunsubscribe​(List<String> args)

      Stop listening for messages posted to the given shard channels.

      Redis command SUNSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### swapdb

          public Future<Response> swapdb​(String arg0,
                                         String arg1)

      Swaps two Redis databases.

      Redis command SWAPDB.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxSwapdb

          public Single<Response> rxSwapdb​(String arg0,
                                           String arg1)

      Swaps two Redis databases.

      Redis command SWAPDB.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### sync

          public Future<Response> sync()

      Internal command used for replication.

      Redis command SYNC.

      Returns:
        Future response.

    - #### rxSync

          public Single<Response> rxSync()

      Internal command used for replication.

      Redis command SYNC.

      Returns:
        Future response.

    - #### tdigestAdd

          public Future<Response> tdigestAdd​(List<String> args)

      Redis command TDIGEST.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestAdd

          public Single<Response> rxTdigestAdd​(List<String> args)

      Redis command TDIGEST.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestByrank

          public Future<Response> tdigestByrank​(List<String> args)

      Redis command TDIGEST.BYRANK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestByrank

          public Single<Response> rxTdigestByrank​(List<String> args)

      Redis command TDIGEST.BYRANK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestByrevrank

          public Future<Response> tdigestByrevrank​(List<String> args)

      Redis command TDIGEST.BYREVRANK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestByrevrank

          public Single<Response> rxTdigestByrevrank​(List<String> args)

      Redis command TDIGEST.BYREVRANK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestCdf

          public Future<Response> tdigestCdf​(List<String> args)

      Redis command TDIGEST.CDF.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestCdf

          public Single<Response> rxTdigestCdf​(List<String> args)

      Redis command TDIGEST.CDF.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestCreate

          public Future<Response> tdigestCreate​(List<String> args)

      Redis command TDIGEST.CREATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestCreate

          public Single<Response> rxTdigestCreate​(List<String> args)

      Redis command TDIGEST.CREATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestInfo

          public Future<Response> tdigestInfo​(List<String> args)

      Redis command TDIGEST.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestInfo

          public Single<Response> rxTdigestInfo​(List<String> args)

      Redis command TDIGEST.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestMax

          public Future<Response> tdigestMax​(List<String> args)

      Redis command TDIGEST.MAX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestMax

          public Single<Response> rxTdigestMax​(List<String> args)

      Redis command TDIGEST.MAX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestMerge

          public Future<Response> tdigestMerge​(List<String> args)

      Redis command TDIGEST.MERGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestMerge

          public Single<Response> rxTdigestMerge​(List<String> args)

      Redis command TDIGEST.MERGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestMin

          public Future<Response> tdigestMin​(List<String> args)

      Redis command TDIGEST.MIN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestMin

          public Single<Response> rxTdigestMin​(List<String> args)

      Redis command TDIGEST.MIN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestQuantile

          public Future<Response> tdigestQuantile​(List<String> args)

      Redis command TDIGEST.QUANTILE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestQuantile

          public Single<Response> rxTdigestQuantile​(List<String> args)

      Redis command TDIGEST.QUANTILE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestRank

          public Future<Response> tdigestRank​(List<String> args)

      Redis command TDIGEST.RANK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestRank

          public Single<Response> rxTdigestRank​(List<String> args)

      Redis command TDIGEST.RANK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestReset

          public Future<Response> tdigestReset​(List<String> args)

      Redis command TDIGEST.RESET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestReset

          public Single<Response> rxTdigestReset​(List<String> args)

      Redis command TDIGEST.RESET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestRevrank

          public Future<Response> tdigestRevrank​(List<String> args)

      Redis command TDIGEST.REVRANK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestRevrank

          public Single<Response> rxTdigestRevrank​(List<String> args)

      Redis command TDIGEST.REVRANK.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tdigestTrimmedMean

          public Future<Response> tdigestTrimmedMean​(List<String> args)

      Redis command TDIGEST.TRIMMED_MEAN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTdigestTrimmedMean

          public Single<Response> rxTdigestTrimmedMean​(List<String> args)

      Redis command TDIGEST.TRIMMED_MEAN.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### time

          public Future<Response> time()

      Return the current server time.

      Redis command TIME.

      Returns:
        Future response.

    - #### rxTime

          public Single<Response> rxTime()

      Return the current server time.

      Redis command TIME.

      Returns:
        Future response.

    - #### timeseriesClusterset

          public Future<Response> timeseriesClusterset​(List<String> args)

      Redis command TIMESERIES.CLUSTERSET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTimeseriesClusterset

          public Single<Response> rxTimeseriesClusterset​(List<String> args)

      Redis command TIMESERIES.CLUSTERSET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### timeseriesClustersetfromshard

          public Future<Response> timeseriesClustersetfromshard​(List<String> args)

      Redis command TIMESERIES.CLUSTERSETFROMSHARD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTimeseriesClustersetfromshard

          public Single<Response> rxTimeseriesClustersetfromshard​(List<String> args)

      Redis command TIMESERIES.CLUSTERSETFROMSHARD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### timeseriesHello

          public Future<Response> timeseriesHello​(List<String> args)

      Redis command TIMESERIES.HELLO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTimeseriesHello

          public Single<Response> rxTimeseriesHello​(List<String> args)

      Redis command TIMESERIES.HELLO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### timeseriesInfocluster

          public Future<Response> timeseriesInfocluster​(List<String> args)

      Redis command TIMESERIES.INFOCLUSTER.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTimeseriesInfocluster

          public Single<Response> rxTimeseriesInfocluster​(List<String> args)

      Redis command TIMESERIES.INFOCLUSTER.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### timeseriesInnercommunication

          public Future<Response> timeseriesInnercommunication​(List<String> args)

      Redis command TIMESERIES.INNERCOMMUNICATION.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTimeseriesInnercommunication

          public Single<Response> rxTimeseriesInnercommunication​(List<String> args)

      Redis command TIMESERIES.INNERCOMMUNICATION.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### timeseriesNetworktest

          public Future<Response> timeseriesNetworktest​(List<String> args)

      Redis command TIMESERIES.NETWORKTEST.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTimeseriesNetworktest

          public Single<Response> rxTimeseriesNetworktest​(List<String> args)

      Redis command TIMESERIES.NETWORKTEST.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### timeseriesRefreshcluster

          public Future<Response> timeseriesRefreshcluster​(List<String> args)

      Redis command TIMESERIES.REFRESHCLUSTER.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTimeseriesRefreshcluster

          public Single<Response> rxTimeseriesRefreshcluster​(List<String> args)

      Redis command TIMESERIES.REFRESHCLUSTER.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### topkAdd

          public Future<Response> topkAdd​(List<String> args)

      Redis command TOPK.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTopkAdd

          public Single<Response> rxTopkAdd​(List<String> args)

      Redis command TOPK.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### topkCount

          public Future<Response> topkCount​(List<String> args)

      Redis command TOPK.COUNT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTopkCount

          public Single<Response> rxTopkCount​(List<String> args)

      Redis command TOPK.COUNT.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### topkIncrby

          public Future<Response> topkIncrby​(List<String> args)

      Redis command TOPK.INCRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTopkIncrby

          public Single<Response> rxTopkIncrby​(List<String> args)

      Redis command TOPK.INCRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### topkInfo

          public Future<Response> topkInfo​(List<String> args)

      Redis command TOPK.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTopkInfo

          public Single<Response> rxTopkInfo​(List<String> args)

      Redis command TOPK.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### topkList

          public Future<Response> topkList​(List<String> args)

      Redis command TOPK.LIST.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTopkList

          public Single<Response> rxTopkList​(List<String> args)

      Redis command TOPK.LIST.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### topkQuery

          public Future<Response> topkQuery​(List<String> args)

      Redis command TOPK.QUERY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTopkQuery

          public Single<Response> rxTopkQuery​(List<String> args)

      Redis command TOPK.QUERY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### topkReserve

          public Future<Response> topkReserve​(List<String> args)

      Redis command TOPK.RESERVE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTopkReserve

          public Single<Response> rxTopkReserve​(List<String> args)

      Redis command TOPK.RESERVE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### touch

          public Future<Response> touch​(List<String> args)

      Alters the last access time of a key(s). Returns the number of existing keys specified.

      Redis command TOUCH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTouch

          public Single<Response> rxTouch​(List<String> args)

      Alters the last access time of a key(s). Returns the number of existing keys specified.

      Redis command TOUCH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsAdd

          public Future<Response> tsAdd​(List<String> args)

      Redis command TS.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsAdd

          public Single<Response> rxTsAdd​(List<String> args)

      Redis command TS.ADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsAlter

          public Future<Response> tsAlter​(List<String> args)

      Redis command TS.ALTER.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsAlter

          public Single<Response> rxTsAlter​(List<String> args)

      Redis command TS.ALTER.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsCreate

          public Future<Response> tsCreate​(List<String> args)

      Redis command TS.CREATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsCreate

          public Single<Response> rxTsCreate​(List<String> args)

      Redis command TS.CREATE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsCreaterule

          public Future<Response> tsCreaterule​(List<String> args)

      Redis command TS.CREATERULE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsCreaterule

          public Single<Response> rxTsCreaterule​(List<String> args)

      Redis command TS.CREATERULE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsDecrby

          public Future<Response> tsDecrby​(List<String> args)

      Redis command TS.DECRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsDecrby

          public Single<Response> rxTsDecrby​(List<String> args)

      Redis command TS.DECRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsDel

          public Future<Response> tsDel​(List<String> args)

      Redis command TS.DEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsDel

          public Single<Response> rxTsDel​(List<String> args)

      Redis command TS.DEL.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsDeleterule

          public Future<Response> tsDeleterule​(List<String> args)

      Redis command TS.DELETERULE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsDeleterule

          public Single<Response> rxTsDeleterule​(List<String> args)

      Redis command TS.DELETERULE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsGet

          public Future<Response> tsGet​(List<String> args)

      Redis command TS.GET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsGet

          public Single<Response> rxTsGet​(List<String> args)

      Redis command TS.GET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsIncrby

          public Future<Response> tsIncrby​(List<String> args)

      Redis command TS.INCRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsIncrby

          public Single<Response> rxTsIncrby​(List<String> args)

      Redis command TS.INCRBY.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsInfo

          public Future<Response> tsInfo​(List<String> args)

      Redis command TS.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsInfo

          public Single<Response> rxTsInfo​(List<String> args)

      Redis command TS.INFO.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsMadd

          public Future<Response> tsMadd​(List<String> args)

      Redis command TS.MADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsMadd

          public Single<Response> rxTsMadd​(List<String> args)

      Redis command TS.MADD.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsMget

          public Future<Response> tsMget​(List<String> args)

      Redis command TS.MGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsMget

          public Single<Response> rxTsMget​(List<String> args)

      Redis command TS.MGET.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsMrange

          public Future<Response> tsMrange​(List<String> args)

      Redis command TS.MRANGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsMrange

          public Single<Response> rxTsMrange​(List<String> args)

      Redis command TS.MRANGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsMrevrange

          public Future<Response> tsMrevrange​(List<String> args)

      Redis command TS.MREVRANGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsMrevrange

          public Single<Response> rxTsMrevrange​(List<String> args)

      Redis command TS.MREVRANGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsQueryindex

          public Future<Response> tsQueryindex​(List<String> args)

      Redis command TS.QUERYINDEX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsQueryindex

          public Single<Response> rxTsQueryindex​(List<String> args)

      Redis command TS.QUERYINDEX.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsRange

          public Future<Response> tsRange​(List<String> args)

      Redis command TS.RANGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsRange

          public Single<Response> rxTsRange​(List<String> args)

      Redis command TS.RANGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### tsRevrange

          public Future<Response> tsRevrange​(List<String> args)

      Redis command TS.REVRANGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxTsRevrange

          public Single<Response> rxTsRevrange​(List<String> args)

      Redis command TS.REVRANGE.
      Parameters:
        `args` -
      Returns:
        Future response.

    - #### ttl

          public Future<Response> ttl​(String arg0)

      Get the time to live for a key in seconds.

      Redis command TTL.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxTtl

          public Single<Response> rxTtl​(String arg0)

      Get the time to live for a key in seconds.

      Redis command TTL.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### type

          public Future<Response> type​(String arg0)

      Determine the type stored at key.

      Redis command TYPE.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxType

          public Single<Response> rxType​(String arg0)

      Determine the type stored at key.

      Redis command TYPE.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### unlink

          public Future<Response> unlink​(List<String> args)

      Delete a key asynchronously in another thread. Otherwise it is just as DEL, but non blocking.

      Redis command UNLINK.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxUnlink

          public Single<Response> rxUnlink​(List<String> args)

      Delete a key asynchronously in another thread. Otherwise it is just as DEL, but non blocking.

      Redis command UNLINK.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### unsubscribe

          public Future<Response> unsubscribe​(List<String> args)

      Stop listening for messages posted to the given channels.

      Redis command UNSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxUnsubscribe

          public Single<Response> rxUnsubscribe​(List<String> args)

      Stop listening for messages posted to the given channels.

      Redis command UNSUBSCRIBE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### unwatch

          public Future<Response> unwatch()

      Forget about all watched keys.

      Redis command UNWATCH.

      Returns:
        Future response.

    - #### rxUnwatch

          public Single<Response> rxUnwatch()

      Forget about all watched keys.

      Redis command UNWATCH.

      Returns:
        Future response.

    - #### wait

          public Future<Response> wait​(String arg0,
                                       String arg1)

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.

      Redis command WAIT.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxWait

          public Single<Response> rxWait​(String arg0,
                                         String arg1)

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.

      Redis command WAIT.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### watch

          public Future<Response> watch​(List<String> args)

      Watch the given keys to determine execution of the MULTI/EXEC block.

      Redis command WATCH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxWatch

          public Single<Response> rxWatch​(List<String> args)

      Watch the given keys to determine execution of the MULTI/EXEC block.

      Redis command WATCH.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xack

          public Future<Response> xack​(List<String> args)

      Marks a pending message as correctly processed, effectively removing it from the pending entries list of the consumer group. Return value of the command is the number of messages successfully acknowledged, that is, the IDs we were actually able to resolve in the PEL.

      Redis command XACK.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXack

          public Single<Response> rxXack​(List<String> args)

      Marks a pending message as correctly processed, effectively removing it from the pending entries list of the consumer group. Return value of the command is the number of messages successfully acknowledged, that is, the IDs we were actually able to resolve in the PEL.

      Redis command XACK.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xadd

          public Future<Response> xadd​(List<String> args)

      Appends a new entry to a stream.

      Redis command XADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXadd

          public Single<Response> rxXadd​(List<String> args)

      Appends a new entry to a stream.

      Redis command XADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xautoclaim

          public Future<Response> xautoclaim​(List<String> args)

      Changes (or acquires) ownership of messages in a consumer group, as if the messages were delivered to the specified consumer.

      Redis command XAUTOCLAIM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXautoclaim

          public Single<Response> rxXautoclaim​(List<String> args)

      Changes (or acquires) ownership of messages in a consumer group, as if the messages were delivered to the specified consumer.

      Redis command XAUTOCLAIM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xclaim

          public Future<Response> xclaim​(List<String> args)

      Changes (or acquires) ownership of a message in a consumer group, as if the message was delivered to the specified consumer.

      Redis command XCLAIM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXclaim

          public Single<Response> rxXclaim​(List<String> args)

      Changes (or acquires) ownership of a message in a consumer group, as if the message was delivered to the specified consumer.

      Redis command XCLAIM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xdel

          public Future<Response> xdel​(List<String> args)

      Removes the specified entries from the stream. Returns the number of items actually deleted, that may be different from the number of IDs passed in case certain IDs do not exist.

      Redis command XDEL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXdel

          public Single<Response> rxXdel​(List<String> args)

      Removes the specified entries from the stream. Returns the number of items actually deleted, that may be different from the number of IDs passed in case certain IDs do not exist.

      Redis command XDEL.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xgroup

          public Future<Response> xgroup​(List<String> args)

      A container for consumer groups commands.

      Redis command XGROUP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXgroup

          public Single<Response> rxXgroup​(List<String> args)

      A container for consumer groups commands.

      Redis command XGROUP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xinfo

          public Future<Response> xinfo​(List<String> args)

      A container for stream introspection commands.

      Redis command XINFO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXinfo

          public Single<Response> rxXinfo​(List<String> args)

      A container for stream introspection commands.

      Redis command XINFO.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xlen

          public Future<Response> xlen​(String arg0)

      Return the number of entries in a stream.

      Redis command XLEN.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxXlen

          public Single<Response> rxXlen​(String arg0)

      Return the number of entries in a stream.

      Redis command XLEN.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### xpending

          public Future<Response> xpending​(List<String> args)

      Return information and entries from a stream consumer group pending entries list, that are messages fetched but never acknowledged.

      Redis command XPENDING.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXpending

          public Single<Response> rxXpending​(List<String> args)

      Return information and entries from a stream consumer group pending entries list, that are messages fetched but never acknowledged.

      Redis command XPENDING.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xrange

          public Future<Response> xrange​(List<String> args)

      Return a range of elements in a stream, with IDs matching the specified IDs interval.

      Redis command XRANGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXrange

          public Single<Response> rxXrange​(List<String> args)

      Return a range of elements in a stream, with IDs matching the specified IDs interval.

      Redis command XRANGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xread

          public Future<Response> xread​(List<String> args)

      Return never seen elements in multiple streams, with IDs greater than the ones reported by the caller for each stream. Can block.

      Redis command XREAD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXread

          public Single<Response> rxXread​(List<String> args)

      Return never seen elements in multiple streams, with IDs greater than the ones reported by the caller for each stream. Can block.

      Redis command XREAD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xreadgroup

          public Future<Response> xreadgroup​(List<String> args)

      Return new entries from a stream using a consumer group, or access the history of the pending entries for a given consumer. Can block.

      Redis command XREADGROUP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXreadgroup

          public Single<Response> rxXreadgroup​(List<String> args)

      Return new entries from a stream using a consumer group, or access the history of the pending entries for a given consumer. Can block.

      Redis command XREADGROUP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xrevrange

          public Future<Response> xrevrange​(List<String> args)

      Return a range of elements in a stream, with IDs matching the specified IDs interval, in reverse order (from greater to smaller IDs) compared to XRANGE.

      Redis command XREVRANGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXrevrange

          public Single<Response> rxXrevrange​(List<String> args)

      Return a range of elements in a stream, with IDs matching the specified IDs interval, in reverse order (from greater to smaller IDs) compared to XRANGE.

      Redis command XREVRANGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xsetid

          public Future<Response> xsetid​(List<String> args)

      An internal command for replicating stream values.

      Redis command XSETID.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXsetid

          public Single<Response> rxXsetid​(List<String> args)

      An internal command for replicating stream values.

      Redis command XSETID.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### xtrim

          public Future<Response> xtrim​(List<String> args)

      Trims the stream to (approximately if '~' is passed) a certain size.

      Redis command XTRIM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxXtrim

          public Single<Response> rxXtrim​(List<String> args)

      Trims the stream to (approximately if '~' is passed) a certain size.

      Redis command XTRIM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zadd

          public Future<Response> zadd​(List<String> args)

      Add one or more members to a sorted set, or update its score if it already exists.

      Redis command ZADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZadd

          public Single<Response> rxZadd​(List<String> args)

      Add one or more members to a sorted set, or update its score if it already exists.

      Redis command ZADD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zcard

          public Future<Response> zcard​(String arg0)

      Get the number of members in a sorted set.

      Redis command ZCARD.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### rxZcard

          public Single<Response> rxZcard​(String arg0)

      Get the number of members in a sorted set.

      Redis command ZCARD.

      Parameters:
        `arg0` -
      Returns:
        Future response.

    - #### zcount

          public Future<Response> zcount​(String arg0,
                                         String arg1,
                                         String arg2)

      Count the members in a sorted set with scores within the given values.

      Redis command ZCOUNT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxZcount

          public Single<Response> rxZcount​(String arg0,
                                           String arg1,
                                           String arg2)

      Count the members in a sorted set with scores within the given values.

      Redis command ZCOUNT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### zdiff

          public Future<Response> zdiff​(List<String> args)

      Subtract multiple sorted sets.

      Redis command ZDIFF.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZdiff

          public Single<Response> rxZdiff​(List<String> args)

      Subtract multiple sorted sets.

      Redis command ZDIFF.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zdiffstore

          public Future<Response> zdiffstore​(List<String> args)

      Subtract multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZDIFFSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZdiffstore

          public Single<Response> rxZdiffstore​(List<String> args)

      Subtract multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZDIFFSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zincrby

          public Future<Response> zincrby​(String arg0,
                                          String arg1,
                                          String arg2)

      Increment the score of a member in a sorted set.

      Redis command ZINCRBY.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxZincrby

          public Single<Response> rxZincrby​(String arg0,
                                            String arg1,
                                            String arg2)

      Increment the score of a member in a sorted set.

      Redis command ZINCRBY.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### zinter

          public Future<Response> zinter​(List<String> args)

      Intersect multiple sorted sets.

      Redis command ZINTER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZinter

          public Single<Response> rxZinter​(List<String> args)

      Intersect multiple sorted sets.

      Redis command ZINTER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zintercard

          public Future<Response> zintercard​(List<String> args)

      Intersect multiple sorted sets and return the cardinality of the result.

      Redis command ZINTERCARD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZintercard

          public Single<Response> rxZintercard​(List<String> args)

      Intersect multiple sorted sets and return the cardinality of the result.

      Redis command ZINTERCARD.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zinterstore

          public Future<Response> zinterstore​(List<String> args)

      Intersect multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZINTERSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZinterstore

          public Single<Response> rxZinterstore​(List<String> args)

      Intersect multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZINTERSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zlexcount

          public Future<Response> zlexcount​(String arg0,
                                            String arg1,
                                            String arg2)

      Count the number of members in a sorted set between a given lexicographical range.

      Redis command ZLEXCOUNT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxZlexcount

          public Single<Response> rxZlexcount​(String arg0,
                                              String arg1,
                                              String arg2)

      Count the number of members in a sorted set between a given lexicographical range.

      Redis command ZLEXCOUNT.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### zmpop

          public Future<Response> zmpop​(List<String> args)

      Remove and return members with scores in a sorted set.

      Redis command ZMPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZmpop

          public Single<Response> rxZmpop​(List<String> args)

      Remove and return members with scores in a sorted set.

      Redis command ZMPOP.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zmscore

          public Future<Response> zmscore​(List<String> args)

      Get the score associated with the given members in a sorted set.

      Redis command ZMSCORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZmscore

          public Single<Response> rxZmscore​(List<String> args)

      Get the score associated with the given members in a sorted set.

      Redis command ZMSCORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zpopmax

          public Future<Response> zpopmax​(List<String> args)

      Remove and return members with the highest scores in a sorted set.

      Redis command ZPOPMAX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZpopmax

          public Single<Response> rxZpopmax​(List<String> args)

      Remove and return members with the highest scores in a sorted set.

      Redis command ZPOPMAX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zpopmin

          public Future<Response> zpopmin​(List<String> args)

      Remove and return members with the lowest scores in a sorted set.

      Redis command ZPOPMIN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZpopmin

          public Single<Response> rxZpopmin​(List<String> args)

      Remove and return members with the lowest scores in a sorted set.

      Redis command ZPOPMIN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrandmember

          public Future<Response> zrandmember​(List<String> args)

      Get one or multiple random elements from a sorted set.

      Redis command ZRANDMEMBER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrandmember

          public Single<Response> rxZrandmember​(List<String> args)

      Get one or multiple random elements from a sorted set.

      Redis command ZRANDMEMBER.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrange

          public Future<Response> zrange​(List<String> args)

      Return a range of members in a sorted set.

      Redis command ZRANGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrange

          public Single<Response> rxZrange​(List<String> args)

      Return a range of members in a sorted set.

      Redis command ZRANGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrangebylex

          @Deprecated
          public Future<Response> zrangebylex​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by lexicographical range.

      Redis command ZRANGEBYLEX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrangebylex

          @Deprecated
          public Single<Response> rxZrangebylex​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by lexicographical range.

      Redis command ZRANGEBYLEX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrangebyscore

          @Deprecated
          public Future<Response> zrangebyscore​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by score.

      Redis command ZRANGEBYSCORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrangebyscore

          @Deprecated
          public Single<Response> rxZrangebyscore​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by score.

      Redis command ZRANGEBYSCORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrangestore

          public Future<Response> zrangestore​(List<String> args)

      Store a range of members from sorted set into another key.

      Redis command ZRANGESTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrangestore

          public Single<Response> rxZrangestore​(List<String> args)

      Store a range of members from sorted set into another key.

      Redis command ZRANGESTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrank

          public Future<Response> zrank​(String arg0,
                                        String arg1)

      Determine the index of a member in a sorted set.

      Redis command ZRANK.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxZrank

          public Single<Response> rxZrank​(String arg0,
                                          String arg1)

      Determine the index of a member in a sorted set.

      Redis command ZRANK.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### zrem

          public Future<Response> zrem​(List<String> args)

      Remove one or more members from a sorted set.

      Redis command ZREM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrem

          public Single<Response> rxZrem​(List<String> args)

      Remove one or more members from a sorted set.

      Redis command ZREM.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zremrangebylex

          public Future<Response> zremrangebylex​(String arg0,
                                                 String arg1,
                                                 String arg2)

      Remove all members in a sorted set between the given lexicographical range.

      Redis command ZREMRANGEBYLEX.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxZremrangebylex

          public Single<Response> rxZremrangebylex​(String arg0,
                                                   String arg1,
                                                   String arg2)

      Remove all members in a sorted set between the given lexicographical range.

      Redis command ZREMRANGEBYLEX.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### zremrangebyrank

          public Future<Response> zremrangebyrank​(String arg0,
                                                  String arg1,
                                                  String arg2)

      Remove all members in a sorted set within the given indexes.

      Redis command ZREMRANGEBYRANK.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxZremrangebyrank

          public Single<Response> rxZremrangebyrank​(String arg0,
                                                    String arg1,
                                                    String arg2)

      Remove all members in a sorted set within the given indexes.

      Redis command ZREMRANGEBYRANK.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### zremrangebyscore

          public Future<Response> zremrangebyscore​(String arg0,
                                                   String arg1,
                                                   String arg2)

      Remove all members in a sorted set within the given scores.

      Redis command ZREMRANGEBYSCORE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### rxZremrangebyscore

          public Single<Response> rxZremrangebyscore​(String arg0,
                                                     String arg1,
                                                     String arg2)

      Remove all members in a sorted set within the given scores.

      Redis command ZREMRANGEBYSCORE.

      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        Future response.

    - #### zrevrange

          @Deprecated
          public Future<Response> zrevrange​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by index, with scores ordered from high to low.

      Redis command ZREVRANGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrevrange

          @Deprecated
          public Single<Response> rxZrevrange​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by index, with scores ordered from high to low.

      Redis command ZREVRANGE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrevrangebylex

          @Deprecated
          public Future<Response> zrevrangebylex​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by lexicographical range, ordered from higher to lower strings.

      Redis command ZREVRANGEBYLEX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrevrangebylex

          @Deprecated
          public Single<Response> rxZrevrangebylex​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by lexicographical range, ordered from higher to lower strings.

      Redis command ZREVRANGEBYLEX.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrevrangebyscore

          @Deprecated
          public Future<Response> zrevrangebyscore​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by score, with scores ordered from high to low.

      Redis command ZREVRANGEBYSCORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZrevrangebyscore

          @Deprecated
          public Single<Response> rxZrevrangebyscore​(List<String> args)

      Deprecated.
      Return a range of members in a sorted set, by score, with scores ordered from high to low.

      Redis command ZREVRANGEBYSCORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zrevrank

          public Future<Response> zrevrank​(String arg0,
                                           String arg1)

      Determine the index of a member in a sorted set, with scores ordered from high to low.

      Redis command ZREVRANK.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxZrevrank

          public Single<Response> rxZrevrank​(String arg0,
                                             String arg1)

      Determine the index of a member in a sorted set, with scores ordered from high to low.

      Redis command ZREVRANK.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### zscan

          public Future<Response> zscan​(List<String> args)

      Incrementally iterate sorted sets elements and associated scores.

      Redis command ZSCAN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZscan

          public Single<Response> rxZscan​(List<String> args)

      Incrementally iterate sorted sets elements and associated scores.

      Redis command ZSCAN.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zscore

          public Future<Response> zscore​(String arg0,
                                         String arg1)

      Get the score associated with the given member in a sorted set.

      Redis command ZSCORE.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### rxZscore

          public Single<Response> rxZscore​(String arg0,
                                           String arg1)

      Get the score associated with the given member in a sorted set.

      Redis command ZSCORE.

      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        Future response.

    - #### zunion

          public Future<Response> zunion​(List<String> args)

      Add multiple sorted sets.

      Redis command ZUNION.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZunion

          public Single<Response> rxZunion​(List<String> args)

      Add multiple sorted sets.

      Redis command ZUNION.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### zunionstore

          public Future<Response> zunionstore​(List<String> args)

      Add multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZUNIONSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### rxZunionstore

          public Single<Response> rxZunionstore​(List<String> args)

      Add multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZUNIONSTORE.

      Parameters:
        `args` -
      Returns:
        Future response.

    - #### api

          public static RedisAPI api​(Redis client)

    - #### api

          public static RedisAPI api​(RedisConnection connection)

    - #### newInstance

          public static RedisAPI newInstance​(RedisAPI arg)